#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dport_map_rcd_linkcap, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mailbox_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dport_init_ras_reporting, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x97565408, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xf33d78a6, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xb3465c3d, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x3913d28c, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x86244a5d, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0xe76e2c18, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x220f3086, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x984356b3, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x6f3d7afc, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x270760fc, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0x8a7e1180, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x00ed2f15, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xb4650cbd, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xda232db7, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x83a5373c, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x7435469a, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x6cdd80d4, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x90a4b4f5, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xa210fec4, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x674175af, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x359792d6, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0xcc81cd09, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0xed56ee7d, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xfd2e92d6, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xbd91dca8, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x0b53b002, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x33ae6f03, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0xe523aea5, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x23ecfa44, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xd9123168, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0xd7ddacb4, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xecf7f046, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xb3aeeb8b, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xcf1c4c56, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x1dca20f5, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0xb93a4629, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xdb8349b6, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x7cbbd81b, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x738a23ee, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0xd894b963, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xd51541e1, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xd537b888, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x7b2b7a42, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x1341054f, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0xac632150, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xbe7e95ba, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x867bed04, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xd2a34d1e, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x53597c90, "_gpl");
SYMBOL_CRC(cxl_dport_map_rcd_linkcap, 0xceb23e1a, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xc4c433c1, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x78d877ef, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x5982bb3e, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0xcfa9904f, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0x063cc636, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x282d381f, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0xb177b69f, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0xac1a28b9, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x1526136e, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xc616b26d, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0xdff2a44c, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x6b2b5a2b, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0xd93ad1c0, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0xb93f846f, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xe4510486, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0xaab5ada2, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x571418b6, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xb321a766, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0xcf5dc816, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x3422c2cd, "_gpl");
SYMBOL_CRC(cxl_mailbox_init, 0xead16e78, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0xd8f14a6f, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0xb26082d9, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x07988095, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0xfc929c28, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x7b920199, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xf6c5205a, "_gpl");
SYMBOL_CRC(cxl_dport_init_ras_reporting, 0xd9b12ae8, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x83ca15d0, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x7215e0bc, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0x44e17fc3, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xee992f4e, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x88c72a35, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x478511bb, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xe262b8df, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0x860fd6d3, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x4cff8664, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x567ab745, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0xfb200166, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x8a24b978, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x333251b9, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x0ebc9966, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0xaf1ea865, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0xcb077d16, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x6b09f4e6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd56059e5, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf9e194e5, "pcie_capability_read_word" },
	{ 0xced92fe7, "mt_perf_to_adistance" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8b4791d0, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x462940ef, "dev_set_name" },
	{ 0xaf77deac, "param_ops_ushort" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xcd430239, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xaa377397, "cdev_device_del" },
	{ 0x8df5bf81, "bpf_trace_run6" },
	{ 0xb0025583, "pci_doe" },
	{ 0xc10f4672, "device_unregister" },
	{ 0x9cdba62e, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4bb6fba6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd63fafc2, "div64_u64_rem" },
	{ 0x89cbc494, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x8e2749a, "device_initialize" },
	{ 0xb1bb34bd, "trace_event_raw_init" },
	{ 0xa1d131ed, "vmemdup_user" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7f04c97, "pcpu_hot" },
	{ 0x4945aa70, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbec41b14, "bpf_trace_run2" },
	{ 0xaab33bc6, "phys_to_target_node" },
	{ 0xfa37b6c9, "devm_remove_action" },
	{ 0xf43067bd, "get_device" },
	{ 0x98df4575, "__dynamic_dev_dbg" },
	{ 0xd9497d10, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x29478f10, "platform_bus" },
	{ 0x9cb90667, "dev_driver_string" },
	{ 0x3cdbe270, "trace_event_buffer_commit" },
	{ 0x58dd3a35, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9debd201, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x70f7896, "_printk" },
	{ 0x6369f483, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0xa26759f9, "put_device" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf0c301ac, "bus_for_each_dev" },
	{ 0x91464b99, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x60991ad, "unregister_mt_adistance_algorithm" },
	{ 0xbf060312, "perf_trace_run_bpf_submit" },
	{ 0x998c053e, "sysfs_update_group" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0x4437e317, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x7fadb301, "_dev_err" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xaacc9e27, "sort" },
	{ 0x34f9eaab, "debugfs_create_bool" },
	{ 0x9170b6e8, "bus_find_device" },
	{ 0x92d86f61, "device_add" },
	{ 0xfea0e1c7, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6372aba9, "noop_llseek" },
	{ 0x57fa4e95, "bpf_trace_run5" },
	{ 0xfc6221fb, "device_attach" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe0859401, "kernfs_find_and_get_ns" },
	{ 0x6d411acc, "debugfs_remove" },
	{ 0xdcca0d2b, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x890afca2, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x947b3cb3, "driver_unregister" },
	{ 0x8069d395, "pcie_link_speed_mbps" },
	{ 0xde80cd09, "ioremap" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x9f93ef21, "device_find_child" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x9d08e269, "devm_release_action" },
	{ 0x487c830d, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x821cc896, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xe4467aec, "pci_print_aer" },
	{ 0xb595b496, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4bb113c7, "device_for_each_child_reverse_from" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xad77a6dc, "bpf_trace_run3" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc2c03a74, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x842609d6, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x545d52e6, "down_write_killable" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xd1d40daf, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x31653cea, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd992bebe, "seq_printf" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xb0c3e925, "device_match_name" },
	{ 0x2ad0d44, "register_mt_adistance_algorithm" },
	{ 0xf9475d7e, "pci_walk_bus" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xd012af0d, "__devm_add_action" },
	{ 0xfe005cf3, "pci_find_dvsec_capability" },
	{ 0xffe33a35, "device_find_child_by_name" },
	{ 0xc379d33f, "device_release_driver" },
	{ 0xd0d8621b, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1f964ae4, "pci_write_config_word" },
	{ 0x72d12bb2, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf331feeb, "pcie_bandwidth_available" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x29f3a126, "up_read" },
	{ 0x9f084f41, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x70aa3094, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x84cf14b3, "pci_bus_type" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A03EDD02173851372F103EC");
