#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i2c_handle_smbus_alert, "_gpl", "");
KSYMTAB_FUNC(i2c_new_slave_host_notify_device, "_gpl", "");
KSYMTAB_FUNC(i2c_free_slave_host_notify_device, "_gpl", "");
KSYMTAB_FUNC(i2c_register_spd, "_gpl", "");

SYMBOL_CRC(i2c_handle_smbus_alert, 0x2c4eea9c, "_gpl");
SYMBOL_CRC(i2c_new_slave_host_notify_device, 0x1ad56f7e, "_gpl");
SYMBOL_CRC(i2c_free_slave_host_notify_device, 0xad714bee, "_gpl");
SYMBOL_CRC(i2c_register_spd, 0x486165e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6768118e, "i2c_register_driver" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x26fe1b64, "i2c_smbus_read_byte" },
	{ 0x4945aa70, "device_for_each_child" },
	{ 0x98df4575, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6f5492c1, "i2c_verify_client" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb595b496, "_dev_warn" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x54a405c0, "devm_request_threaded_irq" },
	{ 0xefc66f6, "__dev_fwnode" },
	{ 0x2258dc93, "fwnode_irq_get_byname" },
	{ 0xedb6a27, "devm_gpiod_get" },
	{ 0x28085370, "gpiod_to_irq" },
	{ 0x2a0f416a, "_dev_info" },
	{ 0x4d6515ec, "i2c_del_driver" },
	{ 0xc91df10e, "i2c_handle_smbus_host_notify" },
	{ 0x169642fe, "i2c_slave_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0x636ac4c3, "i2c_unregister_device" },
	{ 0x1d94a218, "dmi_memdev_handle" },
	{ 0x95ef1ccc, "dmi_memdev_size" },
	{ 0xd8d68ab1, "dmi_memdev_type" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe43361d1, "i2c_new_scanned_device" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0x9015234a, "i2c_new_client_device" },
	{ 0x1e1eb060, "i2c_slave_register" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:smbus_alert");

MODULE_INFO(srcversion, "31BC71BB2027844E2B26630");
