#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fun_submit_admin_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(fun_get_res_count, "_gpl", "");
KSYMTAB_FUNC(fun_res_destroy, "_gpl", "");
KSYMTAB_FUNC(fun_bind, "_gpl", "");
KSYMTAB_FUNC(fun_reserve_irqs, "", "");
KSYMTAB_FUNC(fun_release_irqs, "", "");
KSYMTAB_FUNC(fun_serv_stop, "_gpl", "");
KSYMTAB_FUNC(fun_serv_restart, "_gpl", "");
KSYMTAB_FUNC(fun_serv_sched, "_gpl", "");
KSYMTAB_FUNC(fun_dev_disable, "", "");
KSYMTAB_FUNC(fun_dev_enable, "", "");
KSYMTAB_FUNC(fun_alloc_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_free_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_sq_create, "_gpl", "");
KSYMTAB_FUNC(fun_cq_create, "_gpl", "");

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0x64e185ca, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0x89be002d, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0x4d738574, "_gpl");
SYMBOL_CRC(fun_bind, 0xa1cf077f, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0x7dffaf3e, "");
SYMBOL_CRC(fun_release_irqs, 0xe45bf24d, "");
SYMBOL_CRC(fun_serv_stop, 0x600adf1a, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0x6add8e7c, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0xa1a82b6b, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0xd6c60d42, "");
SYMBOL_CRC(fun_dev_enable, 0x856b053c, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0xea1c74e2, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0xfb8f5547, "_gpl");
SYMBOL_CRC(fun_sq_create, 0x5d5a4cdf, "_gpl");
SYMBOL_CRC(fun_cq_create, 0x151b5e2e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd55758b9, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x65918d31, "pci_msix_vec_count" },
	{ 0x175b628f, "pci_request_selected_regions" },
	{ 0xe5492f53, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x9e92302b, "pci_enable_device_mem" },
	{ 0x8b01a101, "pci_alloc_irq_vectors" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9f224a1d, "dma_unmap_page_attrs" },
	{ 0xedc03953, "iounmap" },
	{ 0x17f4e86e, "sbitmap_queue_wake_all" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7f04c97, "pcpu_hot" },
	{ 0xad2604ba, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x98df4575, "__dynamic_dev_dbg" },
	{ 0xabd3d2b6, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x288f427c, "sbitmap_queue_init_node" },
	{ 0x1b58f241, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x82050661, "__alloc_pages_noprof" },
	{ 0x9b2c6b1a, "sbitmap_prepare_to_wait" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0x8c8be1ca, "const_pcpu_hot" },
	{ 0x2a0f416a, "_dev_info" },
	{ 0x61b583e6, "pci_select_bars" },
	{ 0xf73984ed, "__dma_sync_single_for_cpu" },
	{ 0x7fadb301, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x606fe856, "dma_alloc_attrs" },
	{ 0x112df548, "sbitmap_queue_clear" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x27cb8080, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6b3d9f44, "dma_set_coherent_mask" },
	{ 0x606cd9c0, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xfbcff4f6, "sbitmap_finish_wait" },
	{ 0x610ba90b, "__dma_sync_single_for_device" },
	{ 0x182b284a, "pcie_print_link_status" },
	{ 0x3d1a8db6, "__folio_put" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x5a0cfbcf, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xaba4a8ee, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x71356fbd, "page_address" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabf1b35b, "__sbitmap_queue_get" },
	{ 0xba2a0b19, "pci_free_irq_vectors" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A3BFF49F7F2FD6833E08BC8");
