#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x08783d96, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x971c4f81, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x9b21d5ec, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x4f0a7b8e, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x190698ad, "");
SYMBOL_CRC(sdw_show_ping_status, 0xff6e5fe5, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x839493d7, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x80c950d3, "");
SYMBOL_CRC(sdw_write_no_pm, 0x893079b0, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xfb476414, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xbb7a5b7a, "");
SYMBOL_CRC(sdw_read_no_pm, 0xa7472546, "");
SYMBOL_CRC(sdw_update_no_pm, 0x7c23e745, "");
SYMBOL_CRC(sdw_update, 0xb98641be, "");
SYMBOL_CRC(sdw_nread, 0x095604d3, "");
SYMBOL_CRC(sdw_nwrite, 0x33b0a225, "");
SYMBOL_CRC(sdw_read, 0x3c250c0c, "");
SYMBOL_CRC(sdw_write, 0xc08d9d1d, "");
SYMBOL_CRC(sdw_compare_devid, 0x9da8c59e, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xdf76a3fd, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x61400b35, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x867f444d, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x904acfc2, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x01b69ae7, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x3c29bfff, "");
SYMBOL_CRC(sdw_slave_add, 0xc75789de, "");
SYMBOL_CRC(sdw_master_read_prop, 0xb57cc99f, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x448e00bc, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0xcf4d01b6, "");
SYMBOL_CRC(sdw_enable_stream, 0x62705df3, "");
SYMBOL_CRC(sdw_disable_stream, 0x9542f962, "");
SYMBOL_CRC(sdw_deprepare_stream, 0xa8156c84, "");
SYMBOL_CRC(sdw_alloc_stream, 0xcff67581, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0x03c7bfd4, "");
SYMBOL_CRC(sdw_stream_add_master, 0x78d33324, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x787f017e, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x291ba23b, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0xd879b6d5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb392071e, "debugfs_create_str" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x911e5487, "is_acpi_device_node" },
	{ 0x61fa3672, "of_fwnode_ops" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xad30c253, "simple_attr_open" },
	{ 0xb24e6a9c, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x462940ef, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc10f4672, "device_unregister" },
	{ 0xbf9d4546, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x55287faa, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x30c9b676, "request_firmware" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x48b48095, "seq_lseek" },
	{ 0xeb9339bb, "of_node_get" },
	{ 0x1041a729, "dev_pm_domain_attach" },
	{ 0xe986d8a1, "devm_device_add_group" },
	{ 0x4945aa70, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x98df4575, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x573825c0, "of_get_property" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcb961a33, "pm_generic_runtime_resume" },
	{ 0xe259b6b6, "__pm_runtime_set_status" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xe32c1e2, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa26759f9, "put_device" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0x128853de, "__kmalloc_large_noprof" },
	{ 0xb065c796, "device_property_read_u32_array" },
	{ 0x208903fc, "fwnode_property_read_u32_array" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xaa7b6f16, "dev_pm_domain_detach" },
	{ 0x6ec6e9b5, "pm_generic_runtime_suspend" },
	{ 0xa9f8ae76, "debugfs_attr_read" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0x7fadb301, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x30e43199, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6d411acc, "debugfs_remove" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x947b3cb3, "driver_unregister" },
	{ 0x28c58397, "__dev_fwnode_const" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x690f4719, "device_register" },
	{ 0xc2d250c1, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x44ebb7df, "sdca_lookup_functions" },
	{ 0xb595b496, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xfc4e0bce, "devm_kasprintf" },
	{ 0xeb2c3ad8, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2b0d81c0, "fwnode_property_present" },
	{ 0xceeef2e5, "irq_domain_instantiate" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd143b6f0, "device_get_named_child_node" },
	{ 0x9aa0c6f9, "sdca_lookup_interface_revision" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0xd992bebe, "seq_printf" },
	{ 0x48eabf91, "irq_create_mapping_affinity" },
	{ 0x5dc339cc, "debugfs_create_file_full" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x80cee6f7, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x7afb7fd1, "acpi_dev_for_each_child" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0x31751da5, "irq_set_chip" },
	{ 0x570c4590, "__pm_runtime_use_autosuspend" },
	{ 0xd3bbb8da, "single_open" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0x72d12bb2, "debugfs_create_dir" },
	{ 0x1deeeaff, "fwnode_property_read_u8_array" },
	{ 0x9f084f41, "driver_register" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-sdca");


MODULE_INFO(srcversion, "3847FDF0E475581F248670F");
