#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x7b9b7155, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x92e20083, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0x0eef1ab6, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x823a65be, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0xc5e3d488, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0x0504714c, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0xd8cd07b6, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x5afd2dc3, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0xc5ffbd35, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x0119e28b, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x59e24ca5, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0xae4fa5a6, "");
SYMBOL_CRC(iscsit_release_cmd, 0xa31eca74, "");
SYMBOL_CRC(iscsit_free_cmd, 0x64aaa8b3, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x68359a6d, "");
SYMBOL_CRC(iscsit_aborted_task, 0xebc5a1e7, "");
SYMBOL_CRC(iscsit_add_reject, 0x767a7951, "");
SYMBOL_CRC(iscsit_reject_cmd, 0xb5e30e6b, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x2e763736, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x896bb295, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x028a5b05, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0xe18bae52, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0xd21756f7, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0xa940600b, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0x2c445446, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x6bfe2988, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0x38c4f274, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x5d8489bf, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0xcbf6cdb1, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x3de585b9, "");
SYMBOL_CRC(iscsit_handle_snack, 0x1fef951e, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0xd7ca7f07, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0xed9822f6, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x7c719154, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0x1264d898, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0xbd5a5ed4, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x749e1c36, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0xe07118d0, "");
SYMBOL_CRC(iscsit_build_reject, 0xb3d144f6, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0xbadb77a7, "");
SYMBOL_CRC(iscsit_immediate_queue, 0xca8ed2d8, "");
SYMBOL_CRC(iscsit_response_queue, 0x0e9f54b1, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x11242a10, "");
SYMBOL_CRC(iscsit_register_transport, 0x7e689072, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x47819840, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2362e9ed, "crypto_alloc_ahash" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x1980562a, "target_alloc_cmd_counter" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf6319d4e, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x55b82158, "target_wait_for_cmds" },
	{ 0x74e40878, "transport_generic_new_cmd" },
	{ 0xe50b4e8a, "target_free_cmd_counter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xed5c8116, "kmap_high" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x4acbe8a3, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x1f4e1d5b, "kernel_bind" },
	{ 0xcf2a6966, "up" },
	{ 0x8f8d7475, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa7f04c97, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x16f106df, "target_submit" },
	{ 0x2b5efe6b, "kernel_accept" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x64eb33b6, "core_tpg_set_initiator_node_queue_depth" },
	{ 0x86820580, "target_stop_cmd_counter" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbb97a6f, "transport_generic_handle_tmr" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd2bf148b, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x79f30254, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xee842cd1, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x72c10968, "transport_alloc_session_tags" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd189138d, "transport_alloc_session" },
	{ 0xbc435770, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9b2c6b1a, "sbitmap_prepare_to_wait" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf28e7284, "target_unregister_template" },
	{ 0x5c87ed98, "transport_send_check_condition_and_sense" },
	{ 0x738803e6, "strnlen" },
	{ 0x8c8be1ca, "const_pcpu_hot" },
	{ 0xf64a182, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2539592b, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x6053cbdc, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xa85e8170, "crypto_ahash_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x530a580b, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x98e472aa, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x77c98501, "kunmap_high" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb8b09ac1, "kmem_cache_free" },
	{ 0x7297607f, "set_cpus_allowed_ptr" },
	{ 0xbbed16eb, "transport_deregister_session_configfs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x112df548, "sbitmap_queue_clear" },
	{ 0x88be0b3c, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x745c1a4a, "inet_pton_with_scope" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1f74eafe, "sock_sendmsg" },
	{ 0xa1fd218d, "crypto_shash_update" },
	{ 0xab90cf9c, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x89d44d4c, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa70a54f1, "target_cmd_parse_cdb" },
	{ 0x774f6a9c, "sock_set_reuseaddr" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x668d4b01, "crypto_ahash_finup" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc7fd75d7, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7108b446, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb5d4f28, "crypto_ahash_digest" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x7e9942d, "__kmem_cache_create_args" },
	{ 0x90fb717c, "crypto_ahash_final" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x311f12f7, "__target_init_cmd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc7f94b47, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x9ac53624, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb1c571f7, "core_tpg_check_initiator_node_acl" },
	{ 0x5b60714f, "target_cmd_init_cdb" },
	{ 0x4ff047c5, "kernel_listen" },
	{ 0xeb41728c, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0xa6af0a72, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xfbcff4f6, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x8966199a, "crypto_shash_finup" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xde5d5f85, "transport_wait_for_tasks" },
	{ 0xdc1a78c, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x748b9f5, "target_get_sess_cmd" },
	{ 0xfe4c187d, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x290badef, "sock_recvmsg" },
	{ 0x4feb1403, "core_tpg_deregister" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xeef7b48f, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xdd5a6a0d, "target_show_dynamic_sessions" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xaef1a6bb, "sock_release" },
	{ 0x6fad39b4, "target_register_template" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2ea6163d, "tcp_sock_set_nodelay" },
	{ 0xd479d883, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xff008b67, "transport_generic_free_cmd" },
	{ 0x71356fbd, "page_address" },
	{ 0x3bb40a0d, "core_tpg_register" },
	{ 0xd0d8621b, "strlen" },
	{ 0xfaa44854, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x9f25ee80, "crypto_ahash_update" },
	{ 0x99cd682d, "transport_deregister_session" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0xc8a4ba5, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabf1b35b, "__sbitmap_queue_get" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfe8449d0, "kmem_cache_destroy" },
	{ 0xe23b6cb0, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_common,configfs");


MODULE_INFO(srcversion, "9CA55D8970A09E85C48891E");
