#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x7e0913df, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xa62b6431, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x302d20ab, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x9ecf02f8, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x03a124a2, "_gpl");
SYMBOL_CRC(br_forward, 0x736a0fcd, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x85c2e0ac, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xba84762f, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x78481c75, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x0988fb3c, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xb6782fd7, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x38212a75, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x3839f599, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xe1a81af3, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x43c46cc0, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x21f26242, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x1934be49, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x00816ce7, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x112b37d2, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x36f5c67f, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x65ac626c, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xf864649c, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x0b7186e3, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x074a05a4, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xec24b5c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d280f5a, "netdev_lower_get_next" },
	{ 0xc2f587e3, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdbef4c30, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x332e4859, "skb_copy_bits" },
	{ 0x19bd55ec, "__nlmsg_put" },
	{ 0xb18e2621, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbcb52f82, "ipv6_mc_check_mld" },
	{ 0x515683b8, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a63f974, "call_switchdev_notifiers" },
	{ 0x7b648e5, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa573d029, "netdev_update_features" },
	{ 0xdcb6c6d7, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe2f33e3d, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x7e807463, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd2866327, "netpoll_send_skb" },
	{ 0x4171d2b5, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xb7641c2d, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x2e60bace, "memcpy" },
	{ 0xec7e364e, "switchdev_port_obj_act_is_deferred" },
	{ 0xb3627c8c, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b3693e1, "dev_set_promiscuity" },
	{ 0xa7f04c97, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd0ad0fe8, "unregister_netdevice_queue" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x39502ac1, "netdev_state_change" },
	{ 0x7c7d3a86, "__pskb_copy_fclone" },
	{ 0x8b2f2085, "__dev_get_by_name" },
	{ 0xf159fe85, "ether_setup" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd17afbb9, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3385ca1d, "pskb_expand_head" },
	{ 0xc203c3c0, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x266de6ea, "brioctl_set" },
	{ 0x501bb718, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xe9402293, "arp_xmit" },
	{ 0x668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x30b5983f, "alloc_netdev_mqs" },
	{ 0x1ec75d52, "passthru_features_check" },
	{ 0x7375c60a, "nla_put_nohdr" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xee73351e, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc235f37, "rtnl_af_register" },
	{ 0x58f0f5d8, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0x738803e6, "strnlen" },
	{ 0x7cd9ea49, "__alloc_skb" },
	{ 0x8c8be1ca, "const_pcpu_hot" },
	{ 0xd4136053, "rtnl_set_sk_err" },
	{ 0x3839ddce, "skb_vlan_pop" },
	{ 0xf242f60b, "rtnl_unicast" },
	{ 0x91464b99, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xb23efc88, "ipv6_dev_get_saddr" },
	{ 0x49f26466, "kstrndup" },
	{ 0x72e1ed99, "nla_reserve_64bit" },
	{ 0x5f43fa89, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x14652fea, "__dev_get_by_index" },
	{ 0x9dd8506d, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xd2c960a3, "dev_get_port_parent_id" },
	{ 0x530a580b, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa3265e52, "ipv6_stub" },
	{ 0x59ee8f22, "inet_confirm_addr" },
	{ 0x56e71fc6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfea0e1c7, "sysfs_remove_link" },
	{ 0x940e60d8, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5f598af9, "rtnl_af_unregister" },
	{ 0x40836009, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xf498cbab, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9b4f4f0, "dev_get_by_index_rcu" },
	{ 0xfd39d320, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xbde25bce, "skb_push" },
	{ 0xb8b09ac1, "kmem_cache_free" },
	{ 0xec27efd9, "br_fdb_test_addr_hook" },
	{ 0x4ee27a16, "ndo_dflt_fdb_dump" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x94b77f31, "netdev_upper_dev_unlink" },
	{ 0x80b0720, "netif_receive_skb" },
	{ 0x51813ef6, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xcd18bf7c, "llc_mac_hdr_init" },
	{ 0x3b3cc955, "__rtnl_register_many" },
	{ 0x62f843fb, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe71c2b28, "kobject_init_and_add" },
	{ 0x5a419a6, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xab2d60da, "ns_capable" },
	{ 0x3142dfe2, "inet_select_addr" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xc22a4780, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x57630aa1, "ethtool_op_get_link" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x37774d81, "arp_create" },
	{ 0xd6a02ecd, "__ethtool_get_link_ksettings" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x94e278ec, "stp_proto_register" },
	{ 0x6a7e3975, "__tracepoint_br_fdb_update" },
	{ 0x9b644a0a, "sysfs_rename_link_ns" },
	{ 0x9eb1f89c, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x7108b446, "kmem_cache_alloc_noprof" },
	{ 0x3689d2c2, "switchdev_port_obj_add" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc6e129d, "__pskb_pull_tail" },
	{ 0x6bd21ae1, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xf05d9fce, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0xb5160378, "ip_mc_check_igmp" },
	{ 0xe4cb519, "__netdev_alloc_skb" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0x7e9942d, "__kmem_cache_create_args" },
	{ 0xe6592492, "switchdev_port_obj_del" },
	{ 0x5e50928, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x3efe0d7d, "kobject_create_and_add" },
	{ 0x3b3b4a25, "skb_trim" },
	{ 0x35273f8b, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x58866eec, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31dc4f38, "__ip_mc_inc_group" },
	{ 0x5515b8de, "netdev_walk_all_upper_dev_rcu" },
	{ 0x7d5f7e81, "sysfs_remove_group" },
	{ 0x1447fd87, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5377c956, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x8f363745, "__netpoll_setup" },
	{ 0xd358eaa7, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x749df9fb, "vlan_vid_add" },
	{ 0x7118a684, "neigh_destroy" },
	{ 0x7dfd1e56, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0xa59c1bb0, "kobject_del" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x265d7615, "call_netdevice_notifiers" },
	{ 0x20c5afd7, "is_skb_forwardable" },
	{ 0x3949f274, "vlan_vid_del" },
	{ 0xc5002928, "dev_set_allmulti" },
	{ 0x9c5bdc3f, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0x93e4ce47, "netdev_master_upper_dev_get" },
	{ 0xb5c8793, "ipv6_dev_mc_inc" },
	{ 0x2a5ee2cf, "rtnl_notify" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcaa88cdc, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc93fdcd0, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xfd2e3cdc, "skb_clone" },
	{ 0x8e4dcdac, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x905f1ef9, "dst_release" },
	{ 0x241b578b, "netif_carrier_on" },
	{ 0xc44218a, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc0a724e6, "arp_tbl" },
	{ 0xeccc9441, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x54e2f4a3, "netdev_rx_handler_register" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7df9bd4c, "dev_uc_add" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x9685d3e3, "netif_set_tso_max_size" },
	{ 0x95ed7ca2, "dev_disable_lro" },
	{ 0xc9ec38b3, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x59f75ce0, "dev_get_flags" },
	{ 0xcc1a520f, "__rtnl_unregister_many" },
	{ 0xd0d8621b, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xa50e6362, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xd33e1ab6, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x8c6987c2, "nf_queue" },
	{ 0xb0e8e260, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x30d675fa, "skb_ext_add" },
	{ 0xae0298d3, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x3be51536, "stp_proto_unregister" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0x8b3e658a, "neigh_lookup" },
	{ 0xfe8449d0, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x56d8d8b7, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x845397fc, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "EE6DF9080CF99AD7262035B");
