#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xd81e70ef, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xfaf9e645, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x06c43f99, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x9e926325, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xae4d60c9, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x1381bf79, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x096c84ed, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xafbda97f, "");
SYMBOL_CRC(ip_vs_conn_put, 0xcad14e48, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x27108e00, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x1e64f566, "");
SYMBOL_CRC(register_ip_vs_app, 0xbc6ed4de, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x44c4d375, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x9b6f8621, "");
SYMBOL_CRC(ip_vs_proto_get, 0x848cc351, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x9bf47893, "");
SYMBOL_CRC(register_ip_vs_pe, 0x6ffc7659, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xd8ddb602, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x2291c4b3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa9cf85c4, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x41b5d68b, "nf_conntrack_find_get" },
	{ 0xf6319d4e, "try_module_get" },
	{ 0x35d75014, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x8fe63068, "icmp6_send" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x332e4859, "skb_copy_bits" },
	{ 0xd78b8835, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8f924adf, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x52d4e744, "housekeeping_cpumask" },
	{ 0xdcb6c6d7, "consume_skb" },
	{ 0x2835dc1d, "ip6_local_out" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xd48e7413, "ip_output" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xe785905f, "nf_register_sockopt" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8fe1b8c0, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1f4e1d5b, "kernel_bind" },
	{ 0xb4409e51, "set_user_nice" },
	{ 0xc7e2f09c, "genlmsg_put" },
	{ 0xe7f99a4f, "udp_set_csum" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xda2920cc, "ip6_output" },
	{ 0xff00b48d, "ip6_route_me_harder" },
	{ 0xa7f04c97, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfa7e678e, "__module_get" },
	{ 0xbcbb691f, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xa8354cd2, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8b2f2085, "__dev_get_by_name" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xdc764c69, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3385ca1d, "pskb_expand_head" },
	{ 0xc203c3c0, "register_pernet_subsys" },
	{ 0x79f30254, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x80a4a931, "register_net_sysctl_sz" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xa05b6963, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x7fbf686e, "nf_register_net_hooks" },
	{ 0xb36b4138, "ip6_route_output_flags" },
	{ 0x738803e6, "strnlen" },
	{ 0x7cd9ea49, "__alloc_skb" },
	{ 0x8c8be1ca, "const_pcpu_hot" },
	{ 0xe4a14c88, "ipv6_sock_mc_join" },
	{ 0x2539592b, "module_put" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xb23efc88, "ipv6_dev_get_saddr" },
	{ 0x72b93e5a, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x530a580b, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcd1aa0f1, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x40836009, "sk_skb_reason_drop" },
	{ 0x6d45c137, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8f07e7ea, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xc9e96487, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xbde25bce, "skb_push" },
	{ 0xb8b09ac1, "kmem_cache_free" },
	{ 0x7297607f, "set_cpus_allowed_ptr" },
	{ 0xf0ce180a, "seq_putc" },
	{ 0x51813ef6, "nla_put" },
	{ 0xc0e8b6d, "proc_doulongvec_minmax" },
	{ 0x2cc9e07f, "nf_ct_expect_alloc" },
	{ 0x41d60ca9, "skb_ensure_writable" },
	{ 0x88be0b3c, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe34d34d, "ip_mc_join_group" },
	{ 0xbb065973, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xab2d60da, "ns_capable" },
	{ 0x551b4123, "nf_unregister_net_hooks" },
	{ 0x3142dfe2, "inet_select_addr" },
	{ 0x3466321b, "unregister_pernet_device" },
	{ 0x1a8f1bc0, "lock_sock_nested" },
	{ 0x9c716a6a, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0x89d44d4c, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x9d27785d, "__nf_conntrack_confirm" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9eb1f89c, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x60f13298, "kernel_connect" },
	{ 0x9e28c595, "skb_checksum" },
	{ 0x38a9193e, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x7108b446, "kmem_cache_alloc_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc6e129d, "__pskb_pull_tail" },
	{ 0xe60598bf, "nf_ct_delete" },
	{ 0x7e9942d, "__kmem_cache_create_args" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3b3b4a25, "skb_trim" },
	{ 0x35273f8b, "nf_hook_slow" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc7f94b47, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xb337c598, "nf_ct_deliver_cached_events" },
	{ 0x372aef6a, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1147f01a, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5e169f4d, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x78e20f6f, "ipv4_mtu" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0xc54c1d71, "skb_set_owner_w" },
	{ 0x711bde8c, "__skb_checksum" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xf6b5820b, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2a494646, "init_user_ns" },
	{ 0x784d32fb, "nf_ct_expect_init" },
	{ 0xe95d4b8e, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd8bca10e, "remove_proc_entry" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd992bebe, "seq_printf" },
	{ 0x290badef, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x9b880fed, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x18c08f2b, "ipv4_update_pmtu" },
	{ 0x3f8e8ad8, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x905f1ef9, "dst_release" },
	{ 0xaef1a6bb, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0x1b5133c0, "ip_local_out" },
	{ 0x3f758845, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x2c45382b, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xfb335ce8, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4369d3b1, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6d9cebfc, "kernel_sendmsg" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x2d081f0b, "nf_ct_netns_put" },
	{ 0x68d40947, "register_pernet_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfe8449d0, "kmem_cache_destroy" },
	{ 0x566f4ead, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "A518A2F328FC69D168FA835");
