#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nft_do_chain, "_gpl", "");
KSYMTAB_FUNC(nft_reg_track_update, "_gpl", "");
KSYMTAB_FUNC(nft_reg_track_cancel, "_gpl", "");
KSYMTAB_FUNC(__nft_reg_track_cancel, "_gpl", "");
KSYMTAB_FUNC(nft_request_module, "_gpl", "");
KSYMTAB_FUNC(nft_register_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_register_expr, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_expr, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate, "_gpl", "");
KSYMTAB_FUNC(nft_set_lookup_global, "_gpl", "");
KSYMTAB_FUNC(nf_tables_bind_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_activate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_destroy_set, "_gpl", "");
KSYMTAB_FUNC(nft_set_elem_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_set_catchall_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_register_obj, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_obj, "_gpl", "");
KSYMTAB_FUNC(nft_obj_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_obj_notify, "_gpl", "");
KSYMTAB_FUNC(nft_register_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_flowtable_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_flowtable, "_gpl", "");
KSYMTAB_FUNC(nf_tables_trans_destroy_flush_work, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_dependency, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_hooks, "_gpl", "");
KSYMTAB_FUNC(nft_parse_u32_check, "_gpl", "");
KSYMTAB_FUNC(nft_dump_register, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_load, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_store, "_gpl", "");
KSYMTAB_FUNC(nft_data_init, "_gpl", "");
KSYMTAB_FUNC(nft_data_release, "_gpl", "");
KSYMTAB_FUNC(nft_data_dump, "_gpl", "");
KSYMTAB_FUNC(__nft_release_basechain, "_gpl", "");
KSYMTAB_DATA(nft_trace_enabled, "_gpl", "");
KSYMTAB_FUNC(nft_expr_reduce_bitwise, "_gpl", "");
KSYMTAB_FUNC(nft_set_do_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_eval, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_eval, "_gpl", "");
KSYMTAB_DATA(nft_meta_policy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_validate, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_reduce, "_gpl", "");
KSYMTAB_FUNC(nft_meta_inner_eval, "_gpl", "");
KSYMTAB_FUNC(nft_ct_get_fast_eval, "_gpl", "");

SYMBOL_CRC(nft_do_chain, 0xb446ceb3, "_gpl");
SYMBOL_CRC(nft_reg_track_update, 0x08d10fe9, "_gpl");
SYMBOL_CRC(nft_reg_track_cancel, 0x6013ce47, "_gpl");
SYMBOL_CRC(__nft_reg_track_cancel, 0x4baab7a1, "_gpl");
SYMBOL_CRC(nft_request_module, 0x276509e2, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0x1df4a877, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0x0e210a2f, "_gpl");
SYMBOL_CRC(nft_register_expr, 0x3eccb3e6, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0x5ad56ccb, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0xbd272e74, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0x561f8157, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0x03e57a58, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0x123088fe, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0xb80474e8, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0xbb08952c, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0x81636308, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0xfd11e998, "_gpl");
SYMBOL_CRC(nft_register_obj, 0x84c0a831, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0xd378d92f, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0x9e3005d4, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0x1282b18a, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0xcbe8c0ee, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0xc7f46082, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0x889a3407, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x9e396445, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0x7f3e5f91, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0xbc0a7570, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0x18b610e1, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0xfa1bc2c7, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0x5f0f8c6c, "_gpl");
SYMBOL_CRC(nft_data_init, 0xdafe3e0d, "_gpl");
SYMBOL_CRC(nft_data_release, 0xd27c9515, "_gpl");
SYMBOL_CRC(nft_data_dump, 0x58c477a2, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0xdd656315, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_expr_reduce_bitwise, 0x216f9e7f, "_gpl");
SYMBOL_CRC(nft_set_do_lookup, 0x9593f62a, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0xbb705bc8, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0x7210dc41, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xe2c74001, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0x1631b282, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0x6b3fc8c9, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0x877b872c, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0x057d5e29, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0xe808665d, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0x6c6fc589, "_gpl");
SYMBOL_CRC(nft_meta_get_reduce, 0x8077d7db, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0xba4f73f1, "_gpl");
SYMBOL_CRC(nft_ct_get_fast_eval, 0xa3759cf1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x86eafa86, "__do_once_done" },
	{ 0x748b912b, "__netlink_dump_start" },
	{ 0x35343113, "flow_rule_alloc" },
	{ 0xf6319d4e, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0x332e4859, "skb_copy_bits" },
	{ 0x19bd55ec, "__nlmsg_put" },
	{ 0x515683b8, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x9d1bf168, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xca9360b5, "rb_next" },
	{ 0x174af655, "__kmalloc_node_noprof" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x71313720, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0x626f0a52, "flow_block_cb_free" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xe542945c, "nfnetlink_subsys_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xff00b48d, "ip6_route_me_harder" },
	{ 0xa7f04c97, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfa7e678e, "__module_get" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8b2f2085, "__dev_get_by_name" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc203c3c0, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x28814423, "__ip_options_compile" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x71cb05d8, "nf_route" },
	{ 0x738803e6, "strnlen" },
	{ 0x7cd9ea49, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x8c8be1ca, "const_pcpu_hot" },
	{ 0x2539592b, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x95bf77e, "nf_unregister_net_hook" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xee9509f3, "nf_register_net_hook" },
	{ 0x72b93e5a, "__skb_get_hash_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcd1aa0f1, "ip6_mtu" },
	{ 0x40836009, "sk_skb_reason_drop" },
	{ 0xc9e96487, "ip_route_me_harder" },
	{ 0x77dfbbd4, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9b4f4f0, "dev_get_by_index_rcu" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xdaa734c9, "nfnetlink_unicast" },
	{ 0x51813ef6, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x41d60ca9, "skb_ensure_writable" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x53f0b4d8, "flow_indr_dev_setup_offload" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0x9eb1f89c, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x6ec2b1e6, "rhashtable_free_and_destroy" },
	{ 0x9e28c595, "skb_checksum" },
	{ 0x2bc95bd4, "memset" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x1c68fc16, "nfnetlink_send" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc6e129d, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0x5374a110, "nfnetlink_subsys_unregister" },
	{ 0xed9563f2, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3b3b4a25, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc29ff53f, "__put_net" },
	{ 0xa68613dd, "get_jiffies_64" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x1147f01a, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x78e20f6f, "ipv4_mtu" },
	{ 0x5e7b0b0d, "rhltable_init_noprof" },
	{ 0x12a60e4f, "pcpu_alloc_noprof" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0x711bde8c, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x77307634, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x905f1ef9, "dst_release" },
	{ 0x45bd19de, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xced872d9, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x2e93f354, "from_kuid_munged" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x711b8a9b, "__crc32c_le_shift" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa63f7e2e, "nfnetlink_has_listeners" },
	{ 0x92b57248, "flush_work" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink,libcrc32c");


MODULE_INFO(srcversion, "18836CC84C4CDEEC2289274");
