#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x9b376cf9, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x2e830e3a, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x4ff93f86, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xa9647931, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0xbb68c46c, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x0b8e3f6a, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0xcee248c8, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x190d4615, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x9643c2df, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x613ba649, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0xc324595a, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0xdf6d5929, "");
SYMBOL_CRC(key_type_rxrpc, 0x4fb1f96b, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x013bbbcf, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x87f1b6a1, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0x36d82f83, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0xfc88ae55, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0x4064b889, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x8c0bfff0, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x6ff14ed2, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x652bc7d4, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x3b3156ee, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x5f8128ca, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x63c0faa4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd8183970, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf77d1b0a, "key_alloc" },
	{ 0x8b4791d0, "bpf_trace_run4" },
	{ 0x332e4859, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb0e76a9f, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xdcb6c6d7, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xcd430239, "trace_raw_output_prep" },
	{ 0x361741fa, "udp_sock_create4" },
	{ 0x8df5bf81, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xf38e29b5, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9cdba62e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x4bb6fba6, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xb4409e51, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x1a8e2e2d, "udpv6_sendmsg" },
	{ 0x9d09f045, "unregister_key_type" },
	{ 0xfad4e860, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xb1bb34bd, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9c267aee, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa7f04c97, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xbec41b14, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5fe242de, "crypto_skcipher_setkey" },
	{ 0xbcbb691f, "ip_route_output_flow" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa7746948, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xa6e196b1, "register_key_type" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xdc764c69, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa9c20bf, "put_cmsg" },
	{ 0x79f30254, "wake_up_process" },
	{ 0x3cdbe270, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x80a4a931, "register_net_sysctl_sz" },
	{ 0xee842cd1, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x86db55cd, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0x5ebb503c, "ipv6_icmp_error" },
	{ 0x74322f28, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x450da43c, "crypto_skcipher_decrypt" },
	{ 0x5db31f84, "make_kuid" },
	{ 0xb36b4138, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x8c8be1ca, "const_pcpu_hot" },
	{ 0x10238e15, "proto_register" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xbcc1c205, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x632780, "work_busy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x72369e5d, "__sock_recv_timestamp" },
	{ 0xddceeec6, "key_put" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xbf060312, "perf_trace_run_bpf_submit" },
	{ 0x530a580b, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x56e71fc6, "skb_pull" },
	{ 0xb293b20e, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xc3fa6a59, "memchr" },
	{ 0xe93d57ae, "sock_enable_timestamps" },
	{ 0xf304cc93, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcd1aa0f1, "ip6_mtu" },
	{ 0x40836009, "sk_skb_reason_drop" },
	{ 0x6626afca, "down" },
	{ 0x57fa4e95, "bpf_trace_run5" },
	{ 0x2371ab11, "sk_free" },
	{ 0x516f9bd1, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcbb8c24f, "kernel_sock_shutdown" },
	{ 0xe0ffbf00, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb8b09ac1, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc0e8b6d, "proc_doulongvec_minmax" },
	{ 0x890afca2, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x88be0b3c, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3466321b, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xdd745464, "cancel_work" },
	{ 0x1a8f1bc0, "lock_sock_nested" },
	{ 0x89d44d4c, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x9c76a770, "skb_copy_datagram_iter" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xf66db6e8, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc6b83cda, "sk_alloc" },
	{ 0x6ee98eb7, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xea24706, "__sock_recv_wifi_status" },
	{ 0xfab775d0, "sock_no_socketpair" },
	{ 0x2bc95bd4, "memset" },
	{ 0xccd4077f, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7108b446, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4d21dc4a, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xe9156f8c, "key_validate" },
	{ 0x4dff5709, "crypto_alloc_sync_skcipher" },
	{ 0x7e9942d, "__kmem_cache_create_args" },
	{ 0xd4ebda04, "setup_udp_tunnel_sock" },
	{ 0x2669dfa6, "proc_remove" },
	{ 0x4289779b, "udp_sock_create6" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc7f94b47, "kthread_create_on_node" },
	{ 0xad77a6dc, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x78e20f6f, "ipv4_mtu" },
	{ 0x842609d6, "trace_event_buffer_reserve" },
	{ 0xea3c8b4c, "keyring_search" },
	{ 0xcfc4e877, "ip_sock_set_recverr" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc39d5e7e, "request_key_tag" },
	{ 0xa791bdda, "generic_key_instantiate" },
	{ 0xe95d4b8e, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x14fa6ba0, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd992bebe, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x957e224, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xfd2e3cdc, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x905f1ef9, "dst_release" },
	{ 0x697b598a, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xaef1a6bb, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x219b42d4, "sock_no_ioctl" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x452cdac5, "_proc_mkdir" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x6169cce8, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xef3223e9, "__seq_puts" },
	{ 0x3bf818d3, "page_frag_cache_drain" },
	{ 0x9dd0f5cd, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0d8621b, "strlen" },
	{ 0x60cbe93d, "bpf_trace_run7" },
	{ 0x4ffd7c52, "ip_icmp_error" },
	{ 0x5fbff257, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6d9cebfc, "kernel_sendmsg" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xb4b74c48, "skb_to_sgvec" },
	{ 0x68d40947, "register_pernet_device" },
	{ 0xeeebcfe3, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5d003ed6, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0xfe8449d0, "kmem_cache_destroy" },
	{ 0x566f4ead, "release_sock" },
	{ 0xfb4bdd63, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x51a56a70, "proc_create_net_single_write" },
	{ 0x5a87ad46, "crypto_alloc_skcipher" },
	{ 0xbf59f679, "proc_dointvec_minmax" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "55CE2B2ADF4AE3B1FDF8A74");
