#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l45_probe, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_remove, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_pm_ops, "_gpl", "");
KSYMTAB_FUNC(cs35l45_apply_patch, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_i2c_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_spi_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_get_clk_freq_id, "_gpl", "SND_SOC_CS35L45");

SYMBOL_CRC(cs35l45_probe, 0xb7986375, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0x468daf78, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0xaf9db943, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0xaba8dbc8, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0x8f8f0cda, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0xccb7cd96, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0xb3b217a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5c8f1ae, "snd_soc_dapm_put_enum_double" },
	{ 0xace64e6c, "wm_adsp_fw_put" },
	{ 0x915572cc, "regulator_enable" },
	{ 0x95ddcc19, "regcache_cache_only" },
	{ 0x9513ef6a, "regcache_sync" },
	{ 0x269e13a, "regmap_write" },
	{ 0x54a405c0, "devm_request_threaded_irq" },
	{ 0x84082655, "of_node_put" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x2e223a72, "snd_soc_component_get_kcontrol" },
	{ 0xbf9d4546, "pm_runtime_set_autosuspend_delay" },
	{ 0x860e4552, "gpiod_set_value_cansleep" },
	{ 0x22fbe4ca, "wm_adsp2_remove" },
	{ 0x27af0322, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x55cace88, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4cc10afa, "devm_gpiod_get_optional" },
	{ 0x98df4575, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe259b6b6, "__pm_runtime_set_status" },
	{ 0xe6a9de5b, "devm_snd_soc_register_component" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb1f4a95, "pm_runtime_enable" },
	{ 0xb065c796, "device_property_read_u32_array" },
	{ 0x763adcf, "devm_regulator_get" },
	{ 0x7a6c856e, "snd_soc_component_disable_pin_unlocked" },
	{ 0x2a0f416a, "_dev_info" },
	{ 0x92a46d7c, "snd_soc_info_volsw" },
	{ 0xe52d5c0f, "of_get_child_by_name" },
	{ 0x7fadb301, "_dev_err" },
	{ 0x61ca9e61, "wm_adsp_event" },
	{ 0xbec9ca28, "snd_soc_dapm_put_volsw" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xe5b2d29f, "snd_ctl_notify" },
	{ 0x9804b14d, "wm_adsp_fw_enum" },
	{ 0xb595b496, "_dev_warn" },
	{ 0x44db7473, "wm_adsp2_component_probe" },
	{ 0x505a7a82, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xafe80980, "wm_adsp2_preloader_get" },
	{ 0x33e141fd, "snd_soc_info_enum_double" },
	{ 0xeb9d36ba, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x30a0752f, "devm_regmap_add_irq_chip" },
	{ 0x9f0bdb98, "snd_soc_get_volsw" },
	{ 0xcf3be678, "regmap_read" },
	{ 0x91e22b73, "snd_soc_put_volsw" },
	{ 0x53543d6e, "wm_adsp_fw_get" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf82e5682, "snd_soc_component_enable_pin_unlocked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x502dee87, "regmap_bulk_read" },
	{ 0x8112588e, "regmap_update_bits_base" },
	{ 0xfee03a35, "regulator_disable" },
	{ 0xefc54aa9, "dev_err_probe" },
	{ 0xf3a04976, "regmap_multi_reg_write" },
	{ 0x1ef81122, "snd_soc_dapm_get_volsw" },
	{ 0xdaa8f5ca, "__pm_runtime_suspend" },
	{ 0x5fdf40cc, "regmap_register_patch" },
	{ 0x2b995e24, "snd_soc_dapm_get_enum_double" },
	{ 0x570c4590, "__pm_runtime_use_autosuspend" },
	{ 0x85e460ab, "wm_halo_init" },
	{ 0xa2c6d26f, "wm_adsp_early_event" },
	{ 0x647f8812, "__pm_runtime_disable" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd,snd-pcm");


MODULE_INFO(srcversion, "53BE2582FD8BF031369F854");
