#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0xecadf1df, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x3a5d1c69, "_gpl");
SYMBOL_CRC(ahci_ops, 0x64665aa0, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xef273c6d, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0xf07651ff, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x283cbfcb, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x9742850b, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xb6bc86ac, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xd2f9f70b, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x524da0ea, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x253a22f6, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x425e9c4c, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0xda9f02f4, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0xcb277975, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0xa160e959, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x19782fa9, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x9432d0b9, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xd8b64251, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x7ea30670, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x0d0c9a51, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x52b881f0, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xc1444271, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x8cb7eab8, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x6b071e16, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa6d7236a, "ata_link_next" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8de3e70d, "ata_wait_register" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x421b8ee7, "ata_dev_set_feature" },
	{ 0x2a0f416a, "_dev_info" },
	{ 0xb6d850fe, "ata_msleep" },
	{ 0x1edc06fa, "sata_link_scr_lpm" },
	{ 0x7fadb301, "_dev_err" },
	{ 0xc7c71f2e, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x20ae6de4, "ata_std_qc_defer" },
	{ 0x662ba7bc, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb595b496, "_dev_warn" },
	{ 0x98df4575, "__dynamic_dev_dbg" },
	{ 0xd0c1a9c2, "ata_port_classify" },
	{ 0x1e0817b0, "ata_qc_complete_multiple" },
	{ 0x6eb9199e, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x8f4b8be0, "sata_pmp_error_handler" },
	{ 0x9ad8b23c, "ata_host_start" },
	{ 0x54a405c0, "devm_request_threaded_irq" },
	{ 0xb9a028eb, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x48d1db5d, "ata_host_register" },
	{ 0xe4b2fa3d, "ata_host_activate" },
	{ 0x1d2314e0, "ata_dummy_port_ops" },
	{ 0x86612d0b, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x7839ed5a, "dmam_alloc_attrs" },
	{ 0x9cb90667, "dev_driver_string" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x4437e317, "devm_kfree" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xa2aafb4d, "sata_link_hardreset" },
	{ 0xc3c3e46c, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2e60bace, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd2b419d, "sata_lpm_ignore_phy_events" },
	{ 0x312bb018, "ata_ehi_clear_desc" },
	{ 0x4e8eafcc, "ata_ehi_push_desc" },
	{ 0x773599f3, "sata_async_notification" },
	{ 0xfd911c28, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6f89df78, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfb335ce8, "param_ops_int" },
	{ 0xc4958cbf, "param_ops_bool" },
	{ 0xd14de5e9, "sata_pmp_port_ops" },
	{ 0x9282d398, "dev_attr_sw_activity" },
	{ 0x33f6a968, "dev_attr_unload_heads" },
	{ 0x1dea870f, "dev_attr_ncq_prio_supported" },
	{ 0x82c5e26a, "dev_attr_ncq_prio_enable" },
	{ 0x20254a1e, "dev_attr_link_power_management_policy" },
	{ 0x5ae625b9, "dev_attr_em_message_type" },
	{ 0xacec7be1, "dev_attr_em_message" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "9A7C9ED3F9F2BE88064C951");
