#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x1b08767f, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0xe0164c62, "");
SYMBOL_CRC(__bcma_driver_register, 0x0e7e5322, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x981c8c96, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x16696ab5, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x99b39c6d, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0xaae3631b, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0xdc8ec1d2, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x1a6db308, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x269382fa, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xf2c0385c, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x9163def5, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x333fda99, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x81d783c2, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x695fafe1, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xc81714f4, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xc7bdfaa7, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x520484eb, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x136f57c0, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xb6309837, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x54700a06, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x537af5f7, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x87c83433, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x7de5ebed, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x6c644827, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x45f3df9c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfc381234, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x462940ef, "dev_set_name" },
	{ 0x8bf8e5a, "pci_iomap" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xcd53ff1f, "of_address_to_resource" },
	{ 0xc10f4672, "device_unregister" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x434f2877, "of_platform_default_populate" },
	{ 0xd538bc45, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x8e2749a, "device_initialize" },
	{ 0x200bbf9d, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf43067bd, "get_device" },
	{ 0x7e2747cd, "of_irq_parse_one" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x98df4575, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xa8455bef, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58dd3a35, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x4cd5ba6e, "of_irq_parse_raw" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0xe32c1e2, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa26759f9, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x2a0f416a, "_dev_info" },
	{ 0x287c854b, "gpiochip_get_data" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0x7fadb301, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d86f61, "device_add" },
	{ 0x9119366d, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x947b3cb3, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x613ed3f8, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0xb595b496, "_dev_warn" },
	{ 0x27cb8080, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x9b7a0000, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4909cd5d, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x77e6867d, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xcedcbcdf, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a0cfbcf, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x9ae5b214, "pcie_set_readrq" },
	{ 0xeb236a60, "irq_create_of_mapping" },
	{ 0xa280002b, "of_dma_configure_id" },
	{ 0x9f084f41, "driver_register" },
	{ 0xefc66f6, "__dev_fwnode" },
	{ 0xcec1f083, "pci_write_config_dword" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B854C66441333162F8416CC");
