#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ttm_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_fini, "", "");
KSYMTAB_FUNC(ttm_sg_tt_init, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_pages_limit, "", "");
KSYMTAB_FUNC(ttm_bo_move_to_lru_tail, "", "");
KSYMTAB_FUNC(ttm_bo_set_bulk_move, "", "");
KSYMTAB_FUNC(ttm_bo_put, "", "");
KSYMTAB_FUNC(ttm_bo_eviction_valuable, "", "");
KSYMTAB_FUNC(ttm_bo_pin, "", "");
KSYMTAB_FUNC(ttm_bo_unpin, "", "");
KSYMTAB_FUNC(ttm_bo_mem_space, "", "");
KSYMTAB_FUNC(ttm_bo_validate, "", "");
KSYMTAB_FUNC(ttm_bo_init_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_init_validate, "", "");
KSYMTAB_FUNC(ttm_bo_unmap_virtual, "", "");
KSYMTAB_FUNC(ttm_bo_wait_ctx, "", "");
KSYMTAB_FUNC(ttm_bo_populate, "", "");
KSYMTAB_FUNC(ttm_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_bo_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_io_prot, "", "");
KSYMTAB_FUNC(ttm_bo_kmap, "", "");
KSYMTAB_FUNC(ttm_bo_kunmap, "", "");
KSYMTAB_FUNC(ttm_bo_vmap, "", "");
KSYMTAB_FUNC(ttm_bo_vunmap, "", "");
KSYMTAB_FUNC(ttm_bo_move_accel_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_move_sync_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_vm_reserve, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_vm_dummy_page, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault, "", "");
KSYMTAB_FUNC(ttm_bo_vm_open, "", "");
KSYMTAB_FUNC(ttm_bo_vm_close, "", "");
KSYMTAB_FUNC(ttm_bo_vm_access, "", "");
KSYMTAB_FUNC(ttm_bo_mmap_obj, "", "");
KSYMTAB_FUNC(ttm_eu_backoff_reservation, "", "");
KSYMTAB_FUNC(ttm_eu_reserve_buffers, "", "");
KSYMTAB_FUNC(ttm_eu_fence_buffer_objects, "", "");
KSYMTAB_FUNC(ttm_range_man_init_nocheck, "", "");
KSYMTAB_FUNC(ttm_range_man_fini_nocheck, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_init, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_fini, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_tail, "", "");
KSYMTAB_FUNC(ttm_resource_init, "", "");
KSYMTAB_FUNC(ttm_resource_fini, "", "");
KSYMTAB_FUNC(ttm_resource_free, "", "");
KSYMTAB_FUNC(ttm_resource_manager_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_evict_all, "", "");
KSYMTAB_FUNC(ttm_resource_manager_usage, "", "");
KSYMTAB_FUNC(ttm_resource_manager_debug, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_iomap_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_create_debugfs, "", "");
KSYMTAB_FUNC(ttm_pool_alloc, "", "");
KSYMTAB_FUNC(ttm_pool_free, "", "");
KSYMTAB_FUNC(ttm_pool_init, "", "");
KSYMTAB_FUNC(ttm_pool_fini, "", "");
KSYMTAB_FUNC(ttm_pool_debugfs, "", "");
KSYMTAB_DATA(ttm_glob, "", "");
KSYMTAB_FUNC(ttm_device_swapout, "", "");
KSYMTAB_FUNC(ttm_device_init, "", "");
KSYMTAB_FUNC(ttm_device_fini, "", "");
KSYMTAB_FUNC(ttm_device_clear_dma_mappings, "", "");
KSYMTAB_FUNC(ttm_agp_bind, "", "");
KSYMTAB_FUNC(ttm_agp_unbind, "", "");
KSYMTAB_FUNC(ttm_agp_is_bound, "", "");
KSYMTAB_FUNC(ttm_agp_destroy, "", "");
KSYMTAB_FUNC(ttm_agp_tt_create, "", "");

SYMBOL_CRC(ttm_tt_init, 0xc3858564, "");
SYMBOL_CRC(ttm_tt_fini, 0x428ef3bd, "");
SYMBOL_CRC(ttm_sg_tt_init, 0x359ffcfd, "");
SYMBOL_CRC(ttm_kmap_iter_tt_init, 0xb937b105, "");
SYMBOL_CRC(ttm_tt_pages_limit, 0x69cc2943, "");
SYMBOL_CRC(ttm_bo_move_to_lru_tail, 0x02dd430c, "");
SYMBOL_CRC(ttm_bo_set_bulk_move, 0xd04b5939, "");
SYMBOL_CRC(ttm_bo_put, 0x9574fab2, "");
SYMBOL_CRC(ttm_bo_eviction_valuable, 0xff3ddc7a, "");
SYMBOL_CRC(ttm_bo_pin, 0x6214600a, "");
SYMBOL_CRC(ttm_bo_unpin, 0xbd2856fe, "");
SYMBOL_CRC(ttm_bo_mem_space, 0x6c59fb44, "");
SYMBOL_CRC(ttm_bo_validate, 0x2cf99f78, "");
SYMBOL_CRC(ttm_bo_init_reserved, 0x1291b343, "");
SYMBOL_CRC(ttm_bo_init_validate, 0xe778e589, "");
SYMBOL_CRC(ttm_bo_unmap_virtual, 0x7914789a, "");
SYMBOL_CRC(ttm_bo_wait_ctx, 0x30965869, "");
SYMBOL_CRC(ttm_bo_populate, 0xc4bd59e3, "");
SYMBOL_CRC(ttm_move_memcpy, 0x1a71d30c, "");
SYMBOL_CRC(ttm_bo_move_memcpy, 0x0cf98a35, "");
SYMBOL_CRC(ttm_io_prot, 0x4d817493, "");
SYMBOL_CRC(ttm_bo_kmap, 0xead2128f, "");
SYMBOL_CRC(ttm_bo_kunmap, 0x4ddcd860, "");
SYMBOL_CRC(ttm_bo_vmap, 0x6b69b55b, "");
SYMBOL_CRC(ttm_bo_vunmap, 0x69b0604c, "");
SYMBOL_CRC(ttm_bo_move_accel_cleanup, 0xeb93da19, "");
SYMBOL_CRC(ttm_bo_move_sync_cleanup, 0xc55a4ded, "");
SYMBOL_CRC(ttm_bo_vm_reserve, 0x810f957c, "");
SYMBOL_CRC(ttm_bo_vm_fault_reserved, 0x00d0e05b, "");
SYMBOL_CRC(ttm_bo_vm_dummy_page, 0x9875ef31, "");
SYMBOL_CRC(ttm_bo_vm_fault, 0x92e37edf, "");
SYMBOL_CRC(ttm_bo_vm_open, 0x117654ff, "");
SYMBOL_CRC(ttm_bo_vm_close, 0x049f0086, "");
SYMBOL_CRC(ttm_bo_vm_access, 0xce0d3993, "");
SYMBOL_CRC(ttm_bo_mmap_obj, 0x8e003925, "");
SYMBOL_CRC(ttm_eu_backoff_reservation, 0xae93bf96, "");
SYMBOL_CRC(ttm_eu_reserve_buffers, 0x5f561757, "");
SYMBOL_CRC(ttm_eu_fence_buffer_objects, 0xa52a66f9, "");
SYMBOL_CRC(ttm_range_man_init_nocheck, 0xd29af31b, "");
SYMBOL_CRC(ttm_range_man_fini_nocheck, 0x9a0dd23c, "");
SYMBOL_CRC(ttm_lru_bulk_move_init, 0x1e97e042, "");
SYMBOL_CRC(ttm_lru_bulk_move_fini, 0x866695fa, "");
SYMBOL_CRC(ttm_lru_bulk_move_tail, 0x5a93d676, "");
SYMBOL_CRC(ttm_resource_init, 0x394665c3, "");
SYMBOL_CRC(ttm_resource_fini, 0x25413b01, "");
SYMBOL_CRC(ttm_resource_free, 0x0abef5d7, "");
SYMBOL_CRC(ttm_resource_manager_init, 0x4cc78e6a, "");
SYMBOL_CRC(ttm_resource_manager_evict_all, 0xdd650f46, "");
SYMBOL_CRC(ttm_resource_manager_usage, 0xddcb8b1f, "");
SYMBOL_CRC(ttm_resource_manager_debug, 0xd87e6bda, "");
SYMBOL_CRC(ttm_kmap_iter_iomap_init, 0x3109afaa, "");
SYMBOL_CRC(ttm_resource_manager_create_debugfs, 0x4a900325, "");
SYMBOL_CRC(ttm_pool_alloc, 0x5146112e, "");
SYMBOL_CRC(ttm_pool_free, 0x76e71953, "");
SYMBOL_CRC(ttm_pool_init, 0x3bb53657, "");
SYMBOL_CRC(ttm_pool_fini, 0x13699338, "");
SYMBOL_CRC(ttm_pool_debugfs, 0xfd4c0db5, "");
SYMBOL_CRC(ttm_glob, 0xe1d4d108, "");
SYMBOL_CRC(ttm_device_swapout, 0x2bc2831c, "");
SYMBOL_CRC(ttm_device_init, 0x2439794b, "");
SYMBOL_CRC(ttm_device_fini, 0xdc550e50, "");
SYMBOL_CRC(ttm_device_clear_dma_mappings, 0xd9cd349c, "");
SYMBOL_CRC(ttm_agp_bind, 0xd17fb27b, "");
SYMBOL_CRC(ttm_agp_unbind, 0xc1f724c6, "");
SYMBOL_CRC(ttm_agp_is_bound, 0x8c40c9dd, "");
SYMBOL_CRC(ttm_agp_destroy, 0xc2b7ba53, "");
SYMBOL_CRC(ttm_agp_tt_create, 0xca5dcc69, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5276d94a, "shrinker_alloc" },
	{ 0x71195c9e, "ww_mutex_lock_interruptible" },
	{ 0xe73ff1b0, "drm_dev_enter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x57b9b18b, "param_ops_ulong" },
	{ 0x6b618510, "dma_resv_reserve_fences" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xfbaf4b60, "agp_bind_memory" },
	{ 0x8c297875, "vmalloc_to_page" },
	{ 0xed5c8116, "kmap_high" },
	{ 0xd1b946e6, "__iomap_local_pfn_prot" },
	{ 0x907349f2, "dma_resv_init" },
	{ 0xed4180d4, "dma_resv_wait_timeout" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0x1043cac3, "queue_work_node" },
	{ 0x9f224a1d, "dma_unmap_page_attrs" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0xe2d80653, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0xd98d79ed, "debugfs_create_atomic_t" },
	{ 0x2e60bace, "memcpy" },
	{ 0x4fdb7d60, "unmap_mapping_range" },
	{ 0xaa35883, "dma_resv_add_fence" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x48b48095, "seq_lseek" },
	{ 0xe8a0e334, "drm_vma_offset_add" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0xcede275c, "memremap" },
	{ 0x8b5709d5, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb8f75a3, "node_states" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8e72d37b, "shrinker_free" },
	{ 0x1528d90c, "drm_mm_print" },
	{ 0x5898ff8c, "set_pages_wb" },
	{ 0x1b58f241, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0x82050661, "__alloc_pages_noprof" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xd57d1625, "ww_mutex_trylock" },
	{ 0x315fce73, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x89aa5eb9, "shrinker_register" },
	{ 0x618911fc, "numa_node" },
	{ 0x8c8be1ca, "const_pcpu_hot" },
	{ 0x8e04e524, "__free_pages" },
	{ 0xe86e2257, "__kmap_local_page_prot" },
	{ 0x2a826901, "mark_page_accessed" },
	{ 0xc00bd8ca, "shmem_file_setup" },
	{ 0xb699a275, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb8176096, "agp_free_memory" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x5cc179eb, "dma_resv_fini" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x77c98501, "kunmap_high" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x606fe856, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x6d411acc, "debugfs_remove" },
	{ 0xf0ce180a, "seq_putc" },
	{ 0x2708569a, "ww_mutex_lock" },
	{ 0xade5d996, "shmem_read_mapping_page_gfp" },
	{ 0x814917ad, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xb16341a, "__default_kernel_pte_mask" },
	{ 0x42a5209c, "vmf_insert_pfn_prot" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0xc9323d26, "pgprot_writecombine" },
	{ 0x4cc3eaaa, "agp_allocate_memory" },
	{ 0x6301f523, "agp_unbind_memory" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xf6f9d58d, "init_on_free" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x7bdf5378, "dma_resv_copy_fences" },
	{ 0xe1a3c636, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xeb2c3ad8, "seq_read" },
	{ 0xa38c4c94, "drm_memcpy_from_wc" },
	{ 0x7c2d03a6, "dma_fence_enable_sw_signaling" },
	{ 0x116ed43, "set_pages_array_wc" },
	{ 0x606cd9c0, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x9b48d859, "dma_resv_iter_next_unlocked" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe95d4b8e, "seq_write" },
	{ 0x3d1a8db6, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd992bebe, "seq_printf" },
	{ 0x7707469a, "__mmap_lock_do_trace_released" },
	{ 0x5dc339cc, "debugfs_create_file_full" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x246e5ab, "dma_resv_iter_first_unlocked" },
	{ 0x2ef94d1b, "alloc_pages_noprof" },
	{ 0xced872d9, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x80cee6f7, "single_release" },
	{ 0xafb61246, "set_pages_array_uc" },
	{ 0xd592de51, "memset_io" },
	{ 0x5acbfbca, "dma_resv_test_signaled" },
	{ 0x71356fbd, "page_address" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x9d5cd559, "reservation_ww_class" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd3bbb8da, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x72d12bb2, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x29f3a126, "up_read" },
	{ 0x4831da6e, "drm_vma_offset_remove" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "20EC41E048E608208B19DEC");
