#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsi_new_client, "_gpl", "");
KSYMTAB_FUNC(hsi_add_clients_from_dt, "_gpl", "");
KSYMTAB_FUNC(hsi_remove_client, "_gpl", "");
KSYMTAB_FUNC(hsi_port_unregister_clients, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_client_driver, "_gpl", "");
KSYMTAB_FUNC(hsi_put_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_free_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_async, "_gpl", "");
KSYMTAB_FUNC(hsi_claim_port, "_gpl", "");
KSYMTAB_FUNC(hsi_release_port, "_gpl", "");
KSYMTAB_FUNC(hsi_register_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_event, "_gpl", "");
KSYMTAB_FUNC(hsi_get_channel_id_by_name, "_gpl", "");
KSYMTAB_DATA(hsi_board_list, "_gpl", "");

SYMBOL_CRC(hsi_new_client, 0xb1c82138, "_gpl");
SYMBOL_CRC(hsi_add_clients_from_dt, 0x847b2d5b, "_gpl");
SYMBOL_CRC(hsi_remove_client, 0x9d91b642, "_gpl");
SYMBOL_CRC(hsi_port_unregister_clients, 0xadb80c7e, "_gpl");
SYMBOL_CRC(hsi_unregister_controller, 0xc0f1befc, "_gpl");
SYMBOL_CRC(hsi_register_controller, 0x6ecb5555, "_gpl");
SYMBOL_CRC(hsi_register_client_driver, 0x8ed6d4c1, "_gpl");
SYMBOL_CRC(hsi_put_controller, 0xde53dd90, "_gpl");
SYMBOL_CRC(hsi_alloc_controller, 0xaad5436f, "_gpl");
SYMBOL_CRC(hsi_free_msg, 0xf324ade7, "_gpl");
SYMBOL_CRC(hsi_alloc_msg, 0xe9c2880e, "_gpl");
SYMBOL_CRC(hsi_async, 0xd41905fc, "_gpl");
SYMBOL_CRC(hsi_claim_port, 0x45d38745, "_gpl");
SYMBOL_CRC(hsi_release_port, 0x45623b64, "_gpl");
SYMBOL_CRC(hsi_register_port_event, 0xed2aa48c, "_gpl");
SYMBOL_CRC(hsi_unregister_port_event, 0x2ffbb133, "_gpl");
SYMBOL_CRC(hsi_event, 0x34bf4b59, "_gpl");
SYMBOL_CRC(hsi_get_channel_id_by_name, 0xe284d85d, "_gpl");
SYMBOL_CRC(hsi_board_list, 0x5210a5bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf6319d4e, "try_module_get" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x18adaabf, "of_alias_from_compatible" },
	{ 0xf560e9b3, "of_property_read_variable_u32_array" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x462940ef, "dev_set_name" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xc10f4672, "device_unregister" },
	{ 0x8e2749a, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x4945aa70, "device_for_each_child" },
	{ 0x1c9f445f, "of_get_next_available_child" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa26759f9, "put_device" },
	{ 0x2539592b, "module_put" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x84d4b72b, "of_match_device" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0x92d86f61, "device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x917d495, "of_property_read_string" },
	{ 0x35e03e92, "of_find_property" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x690f4719, "device_register" },
	{ 0x487c830d, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0x3f05fbec, "of_property_read_u32_index" },
	{ 0x9f084f41, "driver_register" },
	{ 0x778ef414, "of_property_read_string_helper" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "050632032E2A00D2C126E17");
