#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x813e8ca8, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x1080403a, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x4ead22f2, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x728f0f2e, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x69594d15, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x71881240, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x90443a48, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x6950219e, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x6e8eaf12, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x5be9f48c, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0xa5261b44, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0xb6e0e2db, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x28a6d7cd, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x5c95e9c0, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x75f8fca1, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0xd93c843d, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x8ba145e9, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x0ee80f49, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0xc46c4057, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x14f34ab0, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x4965eb5c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x8e60678c, "device_remove_file" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x151300fb, "devm_krealloc" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x72d12bb2, "debugfs_create_dir" },
	{ 0x6d411acc, "debugfs_remove" },
	{ 0xad30c253, "simple_attr_open" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7c94b5ce, "devm_thermal_of_zone_register" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa0616ea9, "i2c_smbus_write_byte_data" },
	{ 0x8dd35aa1, "i2c_smbus_read_byte_data" },
	{ 0x7ce340d8, "i2c_smbus_write_byte" },
	{ 0xca45168d, "i2c_smbus_write_word_data" },
	{ 0x477ab5d8, "i2c_smbus_read_word_data" },
	{ 0x347772f2, "i2c_smbus_read_block_data" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdbc9567a, "rdev_get_dev" },
	{ 0x9af372e, "rdev_get_id" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x36b9934b, "thermal_zone_device_priv" },
	{ 0xd1ef7297, "sysfs_notify" },
	{ 0xc44218a, "kobject_uevent" },
	{ 0x98df4575, "__dynamic_dev_dbg" },
	{ 0xfd94b9b2, "regulator_notifier_call_chain" },
	{ 0xb6ed1e53, "strncpy" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2e6ef7ef, "i2c_smbus_xfer" },
	{ 0x7fadb301, "_dev_err" },
	{ 0x4a6aa62e, "device_create_file" },
	{ 0xd012af0d, "__devm_add_action" },
	{ 0x6b794b36, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x2e60bace, "memcpy" },
	{ 0x60445b46, "devm_hwmon_device_register_with_groups" },
	{ 0xec897891, "devm_regulator_register" },
	{ 0xefc54aa9, "dev_err_probe" },
	{ 0x54a405c0, "devm_request_threaded_irq" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x5dc339cc, "debugfs_create_file_full" },
	{ 0xb595b496, "_dev_warn" },
	{ 0x6372aba9, "noop_llseek" },
	{ 0xdea6a1a3, "simple_open" },
	{ 0xa9f8ae76, "debugfs_attr_read" },
	{ 0xb24e6a9c, "debugfs_attr_write" },
	{ 0x30e43199, "simple_attr_release" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1817774AEFD997A229B9D5A");
