#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0x6247434f, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0x76a2dfcb, "");
SYMBOL_CRC(bttv_sub_unregister, 0x7eeee6ad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b4c0c53, "vb2_queue_init" },
	{ 0x6ae88af1, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x575453f1, "vb2_dma_sg_memops" },
	{ 0xef2a0f78, "v4l2_ctrl_poll" },
	{ 0x3e951a0b, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfc381234, "pci_enable_device" },
	{ 0xe909be5, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1b1f33fa, "v4l2_ctrl_radio_filter" },
	{ 0x462940ef, "dev_set_name" },
	{ 0x7d50a24, "csum_partial" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x94467164, "i2c_bit_add_bus" },
	{ 0xe1c4320b, "v4l2_ctrl_add_handler" },
	{ 0xc10f4672, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x351b4cfd, "pci_get_device" },
	{ 0x30c9b676, "request_firmware" },
	{ 0xd538bc45, "__pci_register_driver" },
	{ 0xa1f9746, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xfa252c2d, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xdeda53ed, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf13813c2, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x63646f21, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xa8455bef, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xbc435770, "dump_stack" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x836aa6f8, "v4l2_ctrl_handler_log_status" },
	{ 0x8ceebb65, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7c6134a, "video_devdata" },
	{ 0xa26759f9, "put_device" },
	{ 0x61c3bf68, "vb2_fop_release" },
	{ 0xe43361d1, "i2c_new_scanned_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x29793210, "v4l2_ctrl_find" },
	{ 0x767873ab, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x691d80d, "__v4l2_ctrl_s_ctrl" },
	{ 0x73897d57, "vb2_plane_cookie" },
	{ 0x4a6aa62e, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x56ce4ef5, "rc_keyup" },
	{ 0x6fa81383, "vb2_ioctl_dqbuf" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc535139b, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfca9655b, "tveeprom_read" },
	{ 0x8edb26f0, "v4l2_ctrl_new_custom" },
	{ 0xce716345, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb51af0f5, "v4l2_fh_release" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x76917766, "rc_register_device" },
	{ 0x606fe856, "dma_alloc_attrs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc74ef8a8, "rc_keydown" },
	{ 0x6792a1ce, "snd_tea575x_enum_freq_bands" },
	{ 0xc4ef149e, "vb2_buffer_done" },
	{ 0x947b3cb3, "driver_unregister" },
	{ 0xd427149f, "vb2_plane_vaddr" },
	{ 0x355167aa, "v4l2_ctrl_subscribe_event" },
	{ 0x494c4d5d, "snd_tea575x_s_hw_freq_seek" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd5cf36e7, "video_unregister_device" },
	{ 0x5db2c575, "snd_tea575x_set_freq" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x9015234a, "i2c_new_client_device" },
	{ 0xf8c8c3d8, "vb2_ioctl_qbuf" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xc8e1d202, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x690f4719, "device_register" },
	{ 0xfad04551, "rc_free_device" },
	{ 0x27cb8080, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xeaccfe8, "vb2_fop_read" },
	{ 0x2ef88975, "v4l2_device_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5b2df97f, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x17800e08, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x606cd9c0, "dma_free_attrs" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x27569cc7, "snd_tea575x_hw_init" },
	{ 0x4479d2d3, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa9750ddd, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6c6fa4ed, "vb2_ioctl_streamon" },
	{ 0x269ebce8, "vb2_fop_poll" },
	{ 0xeb49634b, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x52cec37f, "v4l2_ctrl_handler_free" },
	{ 0x3a550d5, "v4l2_device_unregister" },
	{ 0x5a0cfbcf, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4d0e4930, "vb2_wait_for_all_buffers" },
	{ 0xaba4a8ee, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x16427f5f, "v4l2_subdev_call_wrappers" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0xc52d04b2, "v4l2_i2c_new_subdev" },
	{ 0x40878113, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xfb335ce8, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbe3a7122, "video_device_release_empty" },
	{ 0x9f084f41, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc78fa74a, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x14e70a8c, "v4l2_event_unsubscribe" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xbd27a0a, "vb2_ioctl_reqbufs" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,tea575x,videobuf2-dma-sg,videodev,i2c-algo-bit,videobuf2-common,rc-core,tveeprom");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9AC3A60F5909EF00DCEE29B");
