#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x963a5b30, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0xf98a09d0, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x46a67bad, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x2c1e6e30, "");
SYMBOL_CRC(mpt_halt_firmware, 0x421c8150, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0xb490112d, "");
SYMBOL_CRC(mpt_attach, 0x9c282263, "");
SYMBOL_CRC(mpt_detach, 0xe27fb38e, "");
SYMBOL_CRC(mpt_resume, 0x1c5ca584, "");
SYMBOL_CRC(mpt_suspend, 0x9a9fc007, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x5f982e09, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x08b6f8fa, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x8471ffc5, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0xafba9426, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x4c0392a6, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x38efe5a8, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0xb1f5c666, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x222811cc, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x28737171, "");
SYMBOL_CRC(mpt_verify_adapter, 0x9dc8f21c, "");
SYMBOL_CRC(mpt_GetIocState, 0x831875b7, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x67027608, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x526b6f75, "");
SYMBOL_CRC(mpt_config, 0x28576d5d, "");
SYMBOL_CRC(mpt_findImVolumes, 0x7b8e9ad6, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x5ece1d67, "");
SYMBOL_CRC(mpt_free_fw_memory, 0xd0f4086b, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0xb8220261, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0xfb3d9273, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x70f7896, "_printk" },
	{ 0xd992bebe, "seq_printf" },
	{ 0x2ddd7af7, "pci_stop_and_remove_bus_device_locked" },
	{ 0x606fe856, "dma_alloc_attrs" },
	{ 0x606cd9c0, "dma_free_attrs" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x61b583e6, "pci_select_bars" },
	{ 0x9e92302b, "pci_enable_device_mem" },
	{ 0x175b628f, "pci_request_selected_regions" },
	{ 0x91dc23bc, "dma_get_required_mask" },
	{ 0xaba4a8ee, "dma_set_mask" },
	{ 0x6b3d9f44, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe5492f53, "pci_release_selected_regions" },
	{ 0x5a0cfbcf, "pci_disable_device" },
	{ 0xd8bca10e, "remove_proc_entry" },
	{ 0xf1e046cc, "panic" },
	{ 0xbdaba3ed, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa6257a2f, "complete" },
	{ 0xf0ce180a, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbe80b382, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa4243130, "pci_disable_msi" },
	{ 0xd55758b9, "pci_save_state" },
	{ 0xe0538bc9, "pci_set_power_state" },
	{ 0xb7227055, "proc_mkdir" },
	{ 0x95cd4023, "proc_create_single_data" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x2bc95bd4, "memset" },
	{ 0x2e60bace, "memcpy" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdcca0d2b, "pci_read_config_word" },
	{ 0x1f964ae4, "pci_write_config_word" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0xfc381234, "pci_enable_device" },
	{ 0x739e9a38, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x27cb8080, "pci_set_master" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xc7f94b47, "kthread_create_on_node" },
	{ 0x79f30254, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x40878113, "pci_read_config_byte" },
	{ 0xa9750ddd, "pci_write_config_byte" },
	{ 0x979c5f9d, "pci_get_slot" },
	{ 0x49650b32, "pci_dev_put" },
	{ 0x27bb7624, "pci_enable_wake" },
	{ 0x147863bd, "pci_restore_state" },
	{ 0xfb335ce8, "param_ops_int" },
	{ 0xf78c31c6, "param_get_int" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A9A75BA26A33B1F6BDD06DC");
