#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0x49526d28, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x612e3d2c, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x041ba4de, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0xef0eda02, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0xc2190e68, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0xc2f729c9, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0xd5822779, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x13e046df, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0xbaf622af, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x26eea583, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0x8029ef2a, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x49489095, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0xc15cd455, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x576ee282, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760a0f4f, "yield" },
	{ 0xf6319d4e, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x17b15334, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x697dc6fd, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x462940ef, "dev_set_name" },
	{ 0x555af639, "seq_release" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xaa377397, "cdev_device_del" },
	{ 0xc10f4672, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8e2749a, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x48b48095, "seq_lseek" },
	{ 0x2572093a, "fwnode_get_next_child_node" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xf43067bd, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8c2d1e1f, "get_mtd_device_nm" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd68770cf, "path_put" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfcb048d6, "get_mtd_device" },
	{ 0x79f30254, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x9b82bac7, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xbc435770, "dump_stack" },
	{ 0x70f7896, "_printk" },
	{ 0x6369f483, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x2c81caa, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa26759f9, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8c8be1ca, "const_pcpu_hot" },
	{ 0x208903fc, "fwnode_property_read_u32_array" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2539592b, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x93d909a7, "cdev_add" },
	{ 0x3f1dac4a, "mtd_block_markbad" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xdea6a1a3, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x331a7725, "unregister_mtd_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xb8b09ac1, "kmem_cache_free" },
	{ 0x6d411acc, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x20360757, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7f51a1d1, "put_mtd_device" },
	{ 0x78678354, "register_mtd_user" },
	{ 0x6aced1af, "class_unregister" },
	{ 0x5152e605, "memcmp" },
	{ 0x9f1655ce, "mtd_read" },
	{ 0x89d44d4c, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xd4108938, "freezing_slow_path" },
	{ 0x690f4719, "device_register" },
	{ 0x2bc95bd4, "memset" },
	{ 0xc11198c6, "kern_path" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xbc437177, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7108b446, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0x7e9942d, "__kmem_cache_create_args" },
	{ 0x29f2e2b8, "mtd_erase" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7f94b47, "kthread_create_on_node" },
	{ 0xeb2c3ad8, "seq_read" },
	{ 0x6f99a5f5, "__get_mtd_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1db91493, "mtd_write" },
	{ 0xc7a918e5, "fwnode_property_read_string" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9f3f0b6e, "of_device_is_compatible" },
	{ 0xc341a788, "__put_mtd_device" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd143b6f0, "device_get_named_child_node" },
	{ 0xe95d4b8e, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd992bebe, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5dc339cc, "debugfs_create_file_full" },
	{ 0xe515225d, "mtd_get_device_size" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x5c0e434a, "seq_open" },
	{ 0x71356fbd, "page_address" },
	{ 0xd0d8621b, "strlen" },
	{ 0x72d12bb2, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x25425f38, "mtd_block_isbad" },
	{ 0x528c709d, "simple_read_from_buffer" },
	{ 0x29f3a126, "up_read" },
	{ 0x75264a96, "class_register" },
	{ 0x70aa3094, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0x81ce644c, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xfe8449d0, "kmem_cache_destroy" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "3235952113D3CA5633203B6");
