#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0xc9fb2199, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x216de0ba, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x72a2b77e, "alloc_etherdev_mqs" },
	{ 0xd55758b9, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf1091afa, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x92bd712b, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x332e4859, "skb_copy_bits" },
	{ 0xb0e76a9f, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfc381234, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xaf77deac, "param_ops_ushort" },
	{ 0xdcb6c6d7, "consume_skb" },
	{ 0x8bf8e5a, "pci_iomap" },
	{ 0x8235805b, "memmove" },
	{ 0x1e3b26d2, "netif_napi_add_weight" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xfcf8bc07, "pci_vfs_assigned" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xe5d3d98a, "ndo_dflt_bridge_getlink" },
	{ 0x45cb15c2, "unregister_netdev" },
	{ 0xa09337b6, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9f224a1d, "dma_unmap_page_attrs" },
	{ 0x30c9b676, "request_firmware" },
	{ 0xd538bc45, "__pci_register_driver" },
	{ 0xf28ecd0, "pci_num_vf" },
	{ 0x200bbf9d, "pci_request_regions" },
	{ 0x83894467, "___pskb_trim" },
	{ 0x2e60bace, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2a51908, "pci_sriov_get_totalvfs" },
	{ 0xa7f04c97, "pcpu_hot" },
	{ 0x2143678b, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x27521b89, "udp_tunnel_nic_ops" },
	{ 0x417e79fb, "__netif_napi_del" },
	{ 0x40d7072a, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xa8455bef, "pci_unregister_driver" },
	{ 0xd5f52d4f, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3385ca1d, "pskb_expand_head" },
	{ 0x9cb90667, "dev_driver_string" },
	{ 0x501bb718, "dev_addr_mod" },
	{ 0xd298cdc7, "eth_type_trans" },
	{ 0x58dd3a35, "pci_read_config_dword" },
	{ 0x1b58f241, "dma_map_page_attrs" },
	{ 0xae4f2c0d, "napi_complete_done" },
	{ 0x70f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xec0e5def, "__napi_schedule" },
	{ 0x8130953a, "pci_enable_msix_range" },
	{ 0x738803e6, "strnlen" },
	{ 0xba7d07a9, "netif_device_detach" },
	{ 0x1c873f29, "__hw_addr_unsync_dev" },
	{ 0x2a0f416a, "_dev_info" },
	{ 0xfc1b09fb, "netif_device_attach" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf73984ed, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x5de5553b, "__irq_apply_affinity_hint" },
	{ 0x7fadb301, "_dev_err" },
	{ 0x8de866a3, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5e5ca435, "netif_set_real_num_tx_queues" },
	{ 0x40836009, "sk_skb_reason_drop" },
	{ 0xc6bcd581, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xbde25bce, "skb_push" },
	{ 0x606fe856, "dma_alloc_attrs" },
	{ 0xd6761069, "napi_enable" },
	{ 0x80b0720, "netif_receive_skb" },
	{ 0x93f27a1f, "register_netdev" },
	{ 0x62f843fb, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5152e605, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x57630aa1, "ethtool_op_get_link" },
	{ 0xbdfb3419, "netif_set_xps_queue" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x613ed3f8, "pci_iounmap" },
	{ 0x147863bd, "pci_restore_state" },
	{ 0xbd9c325d, "netif_tx_wake_queue" },
	{ 0x60445b46, "devm_hwmon_device_register_with_groups" },
	{ 0xb595b496, "_dev_warn" },
	{ 0x27cb8080, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc6e129d, "__pskb_pull_tail" },
	{ 0x135dd0a7, "netif_tx_lock" },
	{ 0xe4cb519, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6b3d9f44, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x606cd9c0, "dma_free_attrs" },
	{ 0x27bb7624, "pci_enable_wake" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcedcbcdf, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3d1a8db6, "__folio_put" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcaa88cdc, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfd2e3cdc, "skb_clone" },
	{ 0xaa10e57a, "__hw_addr_sync_dev" },
	{ 0x659cd2d1, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x241b578b, "netif_carrier_on" },
	{ 0x45bb73a3, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2ef94d1b, "alloc_pages_noprof" },
	{ 0x5a0cfbcf, "pci_disable_device" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xaba4a8ee, "dma_set_mask" },
	{ 0x9685d3e3, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x71356fbd, "page_address" },
	{ 0xca550781, "napi_schedule_prep" },
	{ 0x45de2b7e, "pci_sriov_set_totalvfs" },
	{ 0xd0d8621b, "strlen" },
	{ 0xc15629d, "napi_disable" },
	{ 0xa50e6362, "dev_kfree_skb_any_reason" },
	{ 0xba15b04d, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x882732f7, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcec1f083, "pci_write_config_dword" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0xbd9bd920, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8F19807B53974A8F11B3ED8");
