#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0x2aaf1a86, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x754fb1b8, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0xe958a700, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0x0fc14e0c, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x4816e15a, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0x2129d375, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x1066e9d9, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0xcba470bd, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xf99f0f87, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x2ebca299, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x187f08ad, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0xcce2ab17, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x75d0774d, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0x59e0e835, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0xbb070827, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x448c8a20, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x5907f0be, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0xb68cde6d, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x85f36074, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0xa2f03b3b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae07802e, "mt76_init_sar_power" },
	{ 0xa3a86de1, "mt76x02_phy_adjust_vga_gain" },
	{ 0x10e73669, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9a630c4e, "mt76x02_ext_pa_enabled" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x9ace2390, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d6d51e8, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x8facae8d, "mt76_eeprom_init" },
	{ 0x7fadb301, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x92310f48, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xea18854b, "mt76_mcu_send_and_get_msg" },
	{ 0x35e03e92, "of_find_property" },
	{ 0xc9a99363, "mt76_eeprom_override" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x1048cf07, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70d6bab, "mt76_get_sar_power" },
	{ 0xc96b9995, "mt76x02_eeprom_copy" },
	{ 0x1b9dbd71, "mt76x02_mcu_calibrate" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf07694f3, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xd55e5afe, "mt76_get_min_avg_rssi" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,cfg80211");


MODULE_INFO(srcversion, "539D28121D9F13BE1DFE0F3");
