#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0xed25b1b4, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0xfc893df4, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0x6774a220, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0x131ef9fd, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x997f6dbb, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0x055d8e37, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0x9e01ed03, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0x98c9583d, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x80faa889, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0x1010e685, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0x34f0ff73, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0xcdd65c5f, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0x487d18af, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0x44b02efd, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0x2a670e97, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0xb24d2110, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa5d0b2a0, "rt2x00queue_get_entry" },
	{ 0xb1a7ca4c, "rt2800_process_rxwi" },
	{ 0xbd4700e2, "rt2x00lib_beacondone" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x36120813, "rt2800_get_txwi_rxwi_size" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xb995662, "rt2800_disable_wpdma" },
	{ 0xd79eea6, "rt2800_wait_wpdma_ready" },
	{ 0xc8b01b48, "rt2800_enable_radio" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xd104b2be, "rt2800_txdone" },
	{ 0xbd1b0341, "rt2800_txdone_nostatus" },
	{ 0x317b1f69, "rt2800_txstatus_timeout" },
	{ 0x1d022311, "rt2800_txstatus_pending" },
	{ 0xa355423e, "rt2800_probe_hw" },
	{ 0xc8e93424, "rt2x00lib_pretbtt" },
	{ 0xa6351a1, "rt2800_config" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xdf09655d, "rt2x00mmio_rxdone" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "C1A4D577C93752B32ED7651");
