#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_should_fail, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x92f044a5, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x8f33432b, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xcdf1d1e4, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xcc5dc95f, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x1c5758e6, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x3ec07016, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xcd1d8b24, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x96e65564, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x59123072, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xdf4a4a8e, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x96383469, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x8d50c31a, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xe0f31e34, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x9e9eb26f, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xf3927d20, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x51319f2a, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x096295d6, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x35178d67, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x81ae9059, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x52a39d64, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x26b7dbb4, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x5db4ded0, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xc2c54027, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0xfd544d08, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x865712ef, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x99129821, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x5c6a5601, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x57368d31, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x5e64ba05, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x893dcfaf, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xa2d342ab, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xe8fd510d, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x44c8b36e, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xc3d56cf7, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x4e345c9a, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x8fb0d68b, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xaee6852d, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x951113e2, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xb6d1a5eb, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x30522c66, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x4bc054a8, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x78b42d95, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x12a9046a, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xfa7491be, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x5f432e99, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x6d3a4b42, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x94f7e6dd, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x215180bd, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xc598a3bb, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x4d860895, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xb9bb3aa8, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x5032be4c, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x2a46c695, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xec497ee5, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xf865e32f, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0xe1a370eb, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xb17baca5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x8f17818d, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0x7559337b, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x36839e07, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x639ff323, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x17461d55, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x4eeb5d3a, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xe56a61a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29cd1ce0, "set_capacity_and_notify" },
	{ 0x6816b091, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x74ee99ea, "set_disk_ro" },
	{ 0xc5bc7759, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf6319d4e, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x57efc05, "blk_rq_integrity_map_user" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xc741c387, "device_remove_file_self" },
	{ 0xb0e76a9f, "param_ops_uint" },
	{ 0x57b9b18b, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x462940ef, "dev_set_name" },
	{ 0xbbe97e45, "bio_split_to_limits" },
	{ 0xe786ce7, "trace_seq_printf" },
	{ 0x41d0ce42, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xe390433b, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xcd430239, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x4e8fa274, "blk_mq_tagset_wait_completed_request" },
	{ 0xaa377397, "cdev_device_del" },
	{ 0x9cdba62e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8662b411, "queue_limits_stack_bdev" },
	{ 0x4bb6fba6, "trace_event_printf" },
	{ 0x748e03ca, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb7761781, "should_fail" },
	{ 0x8e2749a, "device_initialize" },
	{ 0x720aaf, "blk_mq_unquiesce_queue" },
	{ 0xc4500424, "blk_mq_quiesce_queue" },
	{ 0xb1bb34bd, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x18cd21b, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7f04c97, "pcpu_hot" },
	{ 0x563952a3, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbec41b14, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x612bad07, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x57095a2a, "synchronize_srcu" },
	{ 0x70567324, "param_ops_byte" },
	{ 0xf43067bd, "get_device" },
	{ 0x4133a694, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7d4d8d0f, "__blk_mq_alloc_disk" },
	{ 0x98df4575, "__dynamic_dev_dbg" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb8f75a3, "node_states" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a559deb, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x377f33f1, "blk_mq_alloc_tag_set" },
	{ 0x7bf481f8, "blk_rq_is_poll" },
	{ 0x3cdbe270, "trace_event_buffer_commit" },
	{ 0xee842cd1, "crypto_destroy_tfm" },
	{ 0xd3136961, "trace_seq_putc" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc53fd396, "put_disk" },
	{ 0x5fd44fa9, "crypto_alloc_kpp" },
	{ 0x6369f483, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xe0ac50a4, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0x2f109faf, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xee19979c, "blk_execute_rq" },
	{ 0xa26759f9, "put_device" },
	{ 0x9bcd9453, "blk_mq_unquiesce_tagset" },
	{ 0x738803e6, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1c04c33f, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0x8c8be1ca, "const_pcpu_hot" },
	{ 0x8e04e524, "__free_pages" },
	{ 0x2a0f416a, "_dev_info" },
	{ 0xc62d4ac2, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2539592b, "module_put" },
	{ 0x91464b99, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x4f96e23f, "nvme_auth_gen_pubkey" },
	{ 0x739c0eb5, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xa4023cf6, "blk_mq_quiesce_tagset" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x6b611cd9, "kobject_uevent_env" },
	{ 0xdae24b9f, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0xd5ff4744, "init_srcu_struct" },
	{ 0xbf060312, "perf_trace_run_bpf_submit" },
	{ 0x7fadb301, "_dev_err" },
	{ 0x44d6e53f, "blk_revalidate_disk_zones" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x34f9eaab, "debugfs_create_bool" },
	{ 0xfeca4a0b, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x92d86f61, "device_add" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x536ed188, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xfea0e1c7, "sysfs_remove_link" },
	{ 0xf0e582ce, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x96b7693b, "__srcu_read_lock" },
	{ 0xcfdd3b1e, "hwmon_device_register_with_info" },
	{ 0xa517bd11, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4b74e18b, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xbc2612c4, "blk_sync_queue" },
	{ 0xa4ee07bf, "bdev_start_io_acct" },
	{ 0x6d411acc, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x890afca2, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xa79d6857, "blk_mq_alloc_request_hctx" },
	{ 0x50a55860, "__io_uring_cmd_do_in_task" },
	{ 0x686b4eca, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa1fd218d, "crypto_shash_update" },
	{ 0x6aced1af, "class_unregister" },
	{ 0x158ca4fc, "blk_mq_free_tag_set" },
	{ 0x38707fe0, "del_gendisk" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xac3dcd67, "cleanup_srcu_struct" },
	{ 0x23656d8e, "blk_freeze_queue_start_non_owner" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0x1f0da484, "nvme_auth_augmented_challenge" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x90bc3ba, "blk_set_stacking_limits" },
	{ 0x202fc076, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x2a10336, "blk_put_queue" },
	{ 0x6ee98eb7, "bpf_trace_run1" },
	{ 0x487c830d, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb595b496, "_dev_warn" },
	{ 0xa70f3df9, "__kmalloc_cache_node_noprof" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x9cbb55c0, "blk_mq_wait_quiesce_done" },
	{ 0x87d65f7c, "param_ops_charp" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2bdc7407, "debugfs_create_x16" },
	{ 0x7e9942d, "__kmem_cache_create_args" },
	{ 0x1cbc71fb, "io_uring_cmd_done" },
	{ 0xdd3e9448, "blk_rq_unmap_user" },
	{ 0x2b5bc7cc, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2c3c880, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x77af67c, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x15e6989e, "nvme_auth_generate_key" },
	{ 0x745a981, "xa_erase" },
	{ 0xad77a6dc, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x786a1fd4, "blk_mq_complete_request" },
	{ 0x87685621, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x842609d6, "trace_event_buffer_reserve" },
	{ 0xb3671917, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc4958cbf, "param_ops_bool" },
	{ 0x643e1205, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xdc71f669, "blk_freeze_queue_start" },
	{ 0x7d982033, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x63e3a272, "disk_live" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0x4ba8617, "blk_mq_alloc_queue" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73f5e3d2, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xff46d4ed, "__srcu_read_unlock" },
	{ 0x32fd0c1f, "hwmon_device_unregister" },
	{ 0x626fa62e, "__tracepoint_block_bio_remap" },
	{ 0xc42c65d8, "blk_mq_unfreeze_queue" },
	{ 0x2ef94d1b, "alloc_pages_noprof" },
	{ 0xdbf81931, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x18e874a3, "queue_limits_commit_update" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x2715cac9, "blk_rq_map_user_iov" },
	{ 0x19bdae08, "setup_fault_attr" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x71356fbd, "page_address" },
	{ 0x57bda285, "blk_mark_disk_dead" },
	{ 0xd0d8621b, "strlen" },
	{ 0xe79eb617, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc8a4ba5, "crypto_alloc_shash" },
	{ 0x913db094, "blk_mq_freeze_queue_wait" },
	{ 0x72d12bb2, "debugfs_create_dir" },
	{ 0xc2024c0f, "nvme_auth_gen_privkey" },
	{ 0xbce28653, "fault_create_debugfs_attr" },
	{ 0x7a10216f, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x8486ab2d, "blk_mq_requeue_request" },
	{ 0x75264a96, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x70aa3094, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdb9cd9f1, "bdev_end_io_acct" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0xed297f1, "blk_steal_bios" },
	{ 0xfe8449d0, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "ABCF9E95010335601121F6A");
