#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(teedev_open, "_gpl", "");
KSYMTAB_FUNC(teedev_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_session_calc_client_uuid, "_gpl", "");
KSYMTAB_FUNC(tee_device_alloc, "_gpl", "");
KSYMTAB_FUNC(tee_device_set_dev_groups, "_gpl", "");
KSYMTAB_FUNC(tee_device_register, "_gpl", "");
KSYMTAB_FUNC(tee_device_unregister, "_gpl", "");
KSYMTAB_FUNC(tee_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_context, "_gpl", "");
KSYMTAB_FUNC(tee_client_get_version, "_gpl", "");
KSYMTAB_FUNC(tee_client_open_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_close_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_system_session, "_gpl", "");
KSYMTAB_FUNC(tee_client_invoke_func, "_gpl", "");
KSYMTAB_DATA(tee_bus_type, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_alloc_priv_buf, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_alloc_helper, "_gpl", "");
KSYMTAB_FUNC(tee_dyn_shm_free_helper, "_gpl", "");
KSYMTAB_FUNC(tee_shm_register_kernel_buf, "_gpl", "");
KSYMTAB_FUNC(tee_shm_free, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_va, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_pa, "_gpl", "");
KSYMTAB_FUNC(tee_shm_get_from_id, "_gpl", "");
KSYMTAB_FUNC(tee_shm_put, "_gpl", "");
KSYMTAB_FUNC(tee_shm_pool_alloc_res_mem, "_gpl", "");

SYMBOL_CRC(teedev_open, 0xd1e771a0, "_gpl");
SYMBOL_CRC(teedev_close_context, 0xd38725f7, "_gpl");
SYMBOL_CRC(tee_session_calc_client_uuid, 0x85fd9922, "_gpl");
SYMBOL_CRC(tee_device_alloc, 0x90349977, "_gpl");
SYMBOL_CRC(tee_device_set_dev_groups, 0x2bcfc34e, "_gpl");
SYMBOL_CRC(tee_device_register, 0x139f8da1, "_gpl");
SYMBOL_CRC(tee_device_unregister, 0xf631bb8b, "_gpl");
SYMBOL_CRC(tee_get_drvdata, 0x1e77d986, "_gpl");
SYMBOL_CRC(tee_client_open_context, 0xbb4cffb6, "_gpl");
SYMBOL_CRC(tee_client_close_context, 0xf4a1b142, "_gpl");
SYMBOL_CRC(tee_client_get_version, 0x7b676821, "_gpl");
SYMBOL_CRC(tee_client_open_session, 0x615e20ff, "_gpl");
SYMBOL_CRC(tee_client_close_session, 0xccdf6244, "_gpl");
SYMBOL_CRC(tee_client_system_session, 0x1d9eecfc, "_gpl");
SYMBOL_CRC(tee_client_invoke_func, 0xeca8f552, "_gpl");
SYMBOL_CRC(tee_bus_type, 0x1271cc07, "_gpl");
SYMBOL_CRC(tee_shm_alloc_kernel_buf, 0xd8afbe3e, "_gpl");
SYMBOL_CRC(tee_shm_alloc_priv_buf, 0x866d9394, "_gpl");
SYMBOL_CRC(tee_dyn_shm_alloc_helper, 0x258681b2, "_gpl");
SYMBOL_CRC(tee_dyn_shm_free_helper, 0xcc8d535b, "_gpl");
SYMBOL_CRC(tee_shm_register_kernel_buf, 0xb00e5a8e, "_gpl");
SYMBOL_CRC(tee_shm_free, 0xcc509208, "_gpl");
SYMBOL_CRC(tee_shm_get_va, 0x8f4c1da8, "_gpl");
SYMBOL_CRC(tee_shm_get_pa, 0x6ad2a35c, "_gpl");
SYMBOL_CRC(tee_shm_get_from_id, 0x2b381945, "_gpl");
SYMBOL_CRC(tee_shm_put, 0x6a166ea9, "_gpl");
SYMBOL_CRC(tee_shm_pool_alloc_res_mem, 0x6fa864fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x462940ef, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0xaa377397, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x8e2749a, "device_initialize" },
	{ 0x1ee544db, "unpin_user_pages" },
	{ 0xbfa62723, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xee842cd1, "crypto_destroy_tfm" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x70f7896, "_printk" },
	{ 0x6369f483, "cdev_device_add" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x27ed078c, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa26759f9, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8c8be1ca, "const_pcpu_hot" },
	{ 0xc9d0624d, "iov_iter_extract_pages" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xef2ef1d5, "bus_unregister" },
	{ 0x7fadb301, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x88be0b3c, "iov_iter_kvec" },
	{ 0xa1fd218d, "crypto_shash_update" },
	{ 0x6aced1af, "class_unregister" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xc1053955, "alloc_pages_exact_noprof" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc3241b05, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4fc70097, "make_kgid" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xb3671917, "crypto_shash_final" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x89cd4952, "gen_pool_free_owner" },
	{ 0x3d1a8db6, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0x7a2579e4, "gen_pool_alloc_algo_owner" },
	{ 0x5e855e56, "gen_pool_first_fit_align" },
	{ 0x2ee26c1, "free_pages_exact" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7d0ba682, "gen_pool_virt_to_phys" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0xc8a4ba5, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe3de4a83, "iov_iter_npages" },
	{ 0x75264a96, "class_register" },
	{ 0x70aa3094, "cdev_init" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0xb9ce1fb5, "bus_register" },
	{ 0x71efd09b, "class_find_device" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F990AB9E202D0939F5B8C9E");
