#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x67caa680, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x6546e193, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xb6e2278d, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x307bc918, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x60ff94b4, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x6b2ab578, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0xaa302f63, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x600c4922, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xe584bba1, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x09a905e2, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0xcda1954e, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xee780832, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x40a71234, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x58d40a0e, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x70b4d03b, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x4bb2f60a, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x882b291b, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0xdd40df7f, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xd3a8f6df, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0xe337aee7, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0x57b9dd07, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x38c98765, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0xa165d8a5, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0xb5ac1243, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0x69d9ccfc, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0xa4289a98, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0xfb8e1f7f, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0x153ed5cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd55758b9, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd5dbdf71, "vmf_insert_pfn" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7cea602c, "pci_read_vpd" },
	{ 0x9b961e6e, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x175b628f, "pci_request_selected_regions" },
	{ 0xe5492f53, "pci_release_selected_regions" },
	{ 0x16721113, "pci_user_write_config_byte" },
	{ 0xfc381234, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0xed0e27ea, "pci_bus_max_busnr" },
	{ 0x8ce4cc78, "pci_check_and_mask_intx" },
	{ 0x8bf8e5a, "pci_iomap" },
	{ 0x51f16cdb, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x8b01a101, "pci_alloc_irq_vectors" },
	{ 0x5b8cfda, "vfio_set_irqs_validate_and_prepare" },
	{ 0x25f99e6f, "pci_enable_atomic_ops_to_root" },
	{ 0xe2e8065e, "memdup_user" },
	{ 0x49650b32, "pci_dev_put" },
	{ 0x8b6f0030, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x82a7ee13, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x32d0abe0, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0xf28ecd0, "pci_num_vf" },
	{ 0x2e60bace, "memcpy" },
	{ 0x4fdb7d60, "unmap_mapping_range" },
	{ 0xde0a3ce, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0xf7624087, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf7fe4f28, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xa08bfebf, "pci_probe_reset_slot" },
	{ 0xe0538bc9, "pci_set_power_state" },
	{ 0xad2604ba, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x98df4575, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe664f62, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58dd3a35, "pci_read_config_dword" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x79b6a589, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3861996d, "pci_user_write_config_word" },
	{ 0xc5f361b8, "bus_register_notifier" },
	{ 0x2a0f416a, "_dev_info" },
	{ 0x375c1c4e, "vfio_file_is_group" },
	{ 0x3516c9fc, "pci_msix_can_alloc_dyn" },
	{ 0x92733943, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd61f4266, "pci_clear_master" },
	{ 0xc61a3142, "__pci_reset_function_locked" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xb699a275, "fput" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xefab5a28, "pci_write_vpd" },
	{ 0xffac0a95, "vfio_virqfd_enable" },
	{ 0xe90e5049, "vga_client_register" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xdcca0d2b, "pci_read_config_word" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x42f1451c, "aperture_remove_conflicting_pci_devices" },
	{ 0x4460b655, "vfio_unregister_group_dev" },
	{ 0xb070bec4, "pci_map_rom" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x47314976, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x613ed3f8, "pci_iounmap" },
	{ 0x147863bd, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0x2bc95bd4, "memset" },
	{ 0xb595b496, "_dev_warn" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0x45ea89a2, "pcie_get_mps" },
	{ 0x85ab598b, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x44b708bf, "down_write_trylock" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xa82be177, "vga_put" },
	{ 0xf655355, "vfio_info_add_capability" },
	{ 0x6f6ae224, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xae259389, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x1a85dd7d, "_dev_notice" },
	{ 0x55c8407f, "pm_runtime_forbid" },
	{ 0x8781ec01, "pm_runtime_allow" },
	{ 0x3b49e8d8, "pci_reset_bus" },
	{ 0x4cc40606, "__pm_runtime_resume" },
	{ 0x542b1e05, "vfio_register_group_dev" },
	{ 0x2e711a20, "vfio_assign_device_set" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x89ab6a76, "pci_user_read_config_byte" },
	{ 0xdaa3f283, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x2cc914c8, "pci_get_class" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0x218371cc, "pci_user_write_config_dword" },
	{ 0xae52206e, "pcie_capability_read_dword" },
	{ 0x7cdb51a9, "pci_load_and_free_saved_state" },
	{ 0x659cd2d1, "pci_disable_sriov" },
	{ 0x18735984, "vfio_device_set_open_count" },
	{ 0x5a0cfbcf, "pci_disable_device" },
	{ 0x63914fc6, "pci_match_id" },
	{ 0xced872d9, "boot_cpu_data" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xefb8c0d2, "pci_check_and_unmask_intx" },
	{ 0x9ae5b214, "pcie_set_readrq" },
	{ 0xf9475d7e, "pci_walk_bus" },
	{ 0xe7c32d6b, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xa84cb59a, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x53724b7c, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x40878113, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0xd0d8621b, "strlen" },
	{ 0xede771c5, "vga_set_legacy_decoding" },
	{ 0x3655944c, "pci_dev_unlock" },
	{ 0x1f964ae4, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xba2a0b19, "pci_free_irq_vectors" },
	{ 0x882732f7, "pci_enable_sriov" },
	{ 0x29f3a126, "up_read" },
	{ 0x124a8741, "__pm_runtime_idle" },
	{ 0x639b0dee, "vfio_virqfd_flush_thread" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x84cf14b3, "pci_bus_type" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0x50c7fc54, "krealloc_noprof" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "D0C09AFAB83EF88803010BD");
