#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x61d9cdca, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x390f32d1, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x7216ca69, "_gpl");
SYMBOL_CRC(fat_scan, 0x927c3d3a, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x99baa00d, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xdf1cf769, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x11f96dff, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x04ab3860, "_gpl");
SYMBOL_CRC(fat_getattr, 0xe2ed77a1, "_gpl");
SYMBOL_CRC(fat_setattr, 0x587dd6f1, "_gpl");
SYMBOL_CRC(fat_attach, 0xbe0c1fa9, "_gpl");
SYMBOL_CRC(fat_detach, 0xe4ec06f0, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x20134c62, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x9905baa6, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x5b6828ee, "_gpl");
SYMBOL_CRC(fat_param_spec, 0xd7ec8eb2, "_gpl");
SYMBOL_CRC(fat_parse_param, 0x3cbcb213, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x6477eca0, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xde7542cc, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x617506d9, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x9f606859, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x8b4a50be, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x165ec617, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x82762b5e, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x918e8ead, "_gpl");
SYMBOL_CRC(fat_update_time, 0x4c078b73, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x32be964d, "filemap_fdatawrite" },
	{ 0x75401998, "generic_fillattr" },
	{ 0x5ec40fd, "setattr_prepare" },
	{ 0xccb37d2c, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xe980815b, "sync_blockdev_nowait" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xda5c2984, "make_vfsgid" },
	{ 0xc899c0b1, "blk_start_plug" },
	{ 0x95ec5c00, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x62176160, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xf97a123d, "fs_param_is_string" },
	{ 0xc33c2368, "new_inode" },
	{ 0xb36e8079, "mark_buffer_dirty" },
	{ 0x4d2dc9d8, "security_inode_setattr" },
	{ 0xb95ec5b1, "__find_get_block" },
	{ 0x57dc46a3, "filemap_fdatawrite_range" },
	{ 0xbbc23d61, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xbc68adcd, "__blockdev_direct_IO" },
	{ 0x8c71255e, "d_make_root" },
	{ 0xee26a56e, "__bforget" },
	{ 0x8f460ad9, "sb_set_blocksize" },
	{ 0xe5cf5b5f, "block_truncate_page" },
	{ 0xd424b5ba, "write_dirty_buffer" },
	{ 0xc94d5fab, "sync_filesystem" },
	{ 0x2b793ee2, "fsnotify" },
	{ 0x1878c82b, "current_time" },
	{ 0x2e60bace, "memcpy" },
	{ 0x40409b5f, "from_vfsuid" },
	{ 0x51ff0b77, "inode_dio_wait" },
	{ 0x1e3291a1, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ef1272b, "cont_write_begin" },
	{ 0x435e72ac, "iput" },
	{ 0x847c153a, "fs_param_is_enum" },
	{ 0x6b7dc55a, "fs_param_is_s32" },
	{ 0xc215f7cb, "iter_file_splice_write" },
	{ 0x864ab9a8, "fs_param_is_bool" },
	{ 0xb99f1162, "generic_file_write_iter" },
	{ 0x9789dca, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe86f983, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x4e169a86, "fs_param_is_u32" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x9d775388, "mnt_want_write_file" },
	{ 0x70f7896, "_printk" },
	{ 0xd0be9233, "block_invalidate_folio" },
	{ 0x4fbab882, "__breadahead" },
	{ 0xf52808d3, "generic_write_end" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa1e777e5, "load_nls" },
	{ 0x83d76cc2, "generic_cont_expand_simple" },
	{ 0xa5be8c65, "truncate_inode_pages_final" },
	{ 0xe46100c1, "generic_file_mmap" },
	{ 0x22ca61e0, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8c8be1ca, "const_pcpu_hot" },
	{ 0x773a5993, "ilookup" },
	{ 0x60a202c5, "invalidate_inode_buffers" },
	{ 0xdb312897, "blk_finish_plug" },
	{ 0x4545ce9a, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4d09e35f, "mnt_drop_write_file" },
	{ 0x39cc5426, "fs_param_is_gid" },
	{ 0xf8fa9e3a, "inode_init_once" },
	{ 0x32249a59, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xca8b1db2, "__brelse" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x5c434ba, "generic_file_read_iter" },
	{ 0xd2f969d1, "inode_maybe_inc_iversion" },
	{ 0xcbe65af6, "truncate_pagecache" },
	{ 0x1c931800, "sync_dirty_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x566344c9, "setattr_copy" },
	{ 0x22f3a8e6, "__wait_on_buffer" },
	{ 0xc36f0e67, "set_nlink" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x7d862333, "kmem_cache_alloc_lru_noprof" },
	{ 0xb8b09ac1, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xa31812ef, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb766f987, "from_vfsgid" },
	{ 0x24eb32b2, "write_inode_now" },
	{ 0x5152e605, "memcmp" },
	{ 0xeba4c414, "d_obtain_alias" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xbca6677a, "__bread_gfp" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0xef914d70, "block_dirty_folio" },
	{ 0xce43c10f, "mpage_read_folio" },
	{ 0x2bc95bd4, "memset" },
	{ 0x32817252, "__insert_inode_hash" },
	{ 0x9b2f86e0, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7108b446, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7e9942d, "__kmem_cache_create_args" },
	{ 0xed9563f2, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x840d9b0f, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa4589eac, "generic_encode_ino32_fh" },
	{ 0x551cce7d, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2f8efe30, "igrab" },
	{ 0x7a62b2f6, "generic_read_dir" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x70fa5882, "mpage_readahead" },
	{ 0xb67849ae, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x2a494646, "init_user_ns" },
	{ 0xa6a7a2ad, "div_s64_rem" },
	{ 0xe95d4b8e, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0xd992bebe, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x3ec2f2aa, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x7339556e, "blkdev_issue_flush" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc2711959, "generic_fh_to_parent" },
	{ 0x2668ccde, "__fs_parse" },
	{ 0x9ae2665d, "filemap_splice_read" },
	{ 0x2e93f354, "from_kuid_munged" },
	{ 0xdb0e1ac7, "__generic_file_fsync" },
	{ 0x3d9bddfc, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x64b6b8ab, "__mark_inode_dirty" },
	{ 0xf1048881, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53c1e5bb, "unload_nls" },
	{ 0x29f3a126, "up_read" },
	{ 0x888993a9, "mark_buffer_dirty_inode" },
	{ 0xb9174ed7, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0x2ca926d1, "inode_set_ctime_to_ts" },
	{ 0xc3dccb32, "fs_param_is_uid" },
	{ 0xfe8449d0, "kmem_cache_destroy" },
	{ 0x8b5d00f3, "blkdev_issue_discard" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EB4BC9B3B21FDF6859C3EA");
