#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_pending, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(cfg80211_radio_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_wdev_channel_allowed, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_check_beaconing, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_read_of_freq_limits, "", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x263126ac, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x0b9a3af8, "");
SYMBOL_CRC(wiphy_register, 0x7c953f7f, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x9c12dfc8, "");
SYMBOL_CRC(wiphy_unregister, 0x5ac79a88, "");
SYMBOL_CRC(wiphy_free, 0x4adf9fcc, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x92938bb9, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x8e6514b7, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x8f199d43, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x960bc509, "");
SYMBOL_CRC(wiphy_work_queue, 0xb1a31c73, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x4b8f0fbc, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x8fa98e1d, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0xa4d37a43, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x1b4b8807, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x9f72c76a, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_pending, 0x50c06537, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0xb3f40e25, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x57e81fc4, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0xf71e7779, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x6c7494ca, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x9c5c3fa5, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0xb88af23d, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0xff9a22c1, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x6618c3a8, "");
SYMBOL_CRC(cfg80211_classify8021d, 0x3895f1a8, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x38cb594a, "");
SYMBOL_CRC(ieee80211_fragment_element, 0xa40db542, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0xc65463ee, "");
SYMBOL_CRC(cfg80211_check_combinations, 0x8553177f, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0x440bd29c, "");
SYMBOL_CRC(cfg80211_get_station, 0xbbfc0037, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x07a6333d, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0xdf406fad, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0xe4d773c0, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0x1bb3786c, "");
SYMBOL_CRC(cfg80211_radio_chandef_valid, 0xe281e5d8, "");
SYMBOL_CRC(cfg80211_wdev_channel_allowed, 0x389b6591, "");
SYMBOL_CRC(get_wiphy_regdom, 0x3d8a6c28, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0x5927cb32, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0xad7e017a, "");
SYMBOL_CRC(regulatory_hint, 0x81e033da, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0xb8a9fc39, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0xd29d197a, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0xfcc2bad0, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0xbd9bc7cc, "_gpl");
SYMBOL_CRC(cfg80211_scan_done, 0x2220ee64, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0xc04f152d, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0x112eba0b, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0x9f56b500, "");
SYMBOL_CRC(cfg80211_bss_flush, 0xa6855bb1, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0x2047b6eb, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x83408773, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x8b24e88f, "");
SYMBOL_CRC(cfg80211_defragment_element, 0x53351a48, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x3ff2d8a5, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x58d607aa, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x6607a1d7, "");
SYMBOL_CRC(cfg80211_put_bss, 0x20b335a8, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x657c4a04, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x26abebcd, "");
SYMBOL_CRC(nl80211_send_chandef, 0x0ea91ca3, "");
SYMBOL_CRC(cfg80211_check_station_change, 0xa39dd7a8, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x6037319b, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0xee7a784a, "");
SYMBOL_CRC(cfg80211_nan_match, 0xbcb30ed8, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0xd4722bc1, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x0c826997, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x7713e3ad, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x2756ce1b, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x1957fc61, "");
SYMBOL_CRC(cfg80211_links_removed, 0xce0cbf3e, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0xa288d08f, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0x0ff0dfe0, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0xa2c37760, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x3a8a8fae, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x518d60f2, "");
SYMBOL_CRC(cfg80211_new_sta, 0xa00b9f3f, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0xffccf313, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x9656f6de, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0x651da63b, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x3a361e1b, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0xedd3d86b, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0x4eeaecf7, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0xa4f8bc44, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x1366c58a, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0xb5e4f455, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x31de0913, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x9066e361, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0xb077037d, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0x02c7bb73, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0x51c86e62, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0xc1be74dc, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x48158d62, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x32a4258d, "");
SYMBOL_CRC(cfg80211_probe_status, 0x078bf663, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0xadc50695, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x6afd05d2, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x640ec2e1, "");
SYMBOL_CRC(cfg80211_ft_event, 0xe47b3084, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x2742866a, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0xc972ab1d, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x3ae246b2, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0xc3110f2f, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x266d7522, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x17d88ec1, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0xe0430881, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0xfaa2e5e0, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0xc1ee2b34, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0xc494dcb7, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x8dbb829c, "");
SYMBOL_CRC(__cfg80211_radar_event, 0xf121968b, "");
SYMBOL_CRC(cfg80211_cac_event, 0x2f7ef7da, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0xaec108f0, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x522af7b3, "");
SYMBOL_CRC(cfg80211_connect_done, 0x21e89bef, "");
SYMBOL_CRC(cfg80211_roamed, 0x6d3f20c4, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x297869f4, "");
SYMBOL_CRC(cfg80211_disconnected, 0x418edf5b, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0xc454dc01, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0xf3f790b1, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0xde1bcff7, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0xb1ca73ac, "");
SYMBOL_CRC(cfg80211_reg_check_beaconing, 0x4d851fed, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0xf6a7c976, "");
SYMBOL_CRC(wdev_chandef, 0x5cfcd87c, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x3d45f0c0, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0xb6af0724, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x0905d885, "_gpl");
SYMBOL_CRC(wiphy_read_of_freq_limits, 0x997273a3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e420fc4, "trace_print_array_seq" },
	{ 0x153ec037, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9da11c55, "verify_pkcs7_signature" },
	{ 0x8b4791d0, "bpf_trace_run4" },
	{ 0x332e4859, "skb_copy_bits" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x515683b8, "skb_put" },
	{ 0xfab2c787, "kmemdup_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9b1485da, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x462940ef, "dev_set_name" },
	{ 0xdcb6c6d7, "consume_skb" },
	{ 0x7d50a24, "csum_partial" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x9d1bf168, "nla_reserve" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xcd430239, "trace_raw_output_prep" },
	{ 0x802441e1, "nla_put_64bit" },
	{ 0x8df5bf81, "bpf_trace_run6" },
	{ 0x9cdba62e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x30c9b676, "request_firmware" },
	{ 0x4bb6fba6, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x8e2749a, "device_initialize" },
	{ 0xc7e2f09c, "genlmsg_put" },
	{ 0xb1bb34bd, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7f04c97, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xbec41b14, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x11c18d2a, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd0ad0fe8, "unregister_netdevice_queue" },
	{ 0xcc6c572f, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x348278ad, "netlink_broadcast_filtered" },
	{ 0xea17e912, "keyring_alloc" },
	{ 0xd17afbb9, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa5e5af82, "device_rename" },
	{ 0x3cdbe270, "trace_event_buffer_commit" },
	{ 0xd298cdc7, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x70f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa26759f9, "put_device" },
	{ 0x75744930, "net_ns_type_operations" },
	{ 0x738803e6, "strnlen" },
	{ 0x7cd9ea49, "__alloc_skb" },
	{ 0x8c8be1ca, "const_pcpu_hot" },
	{ 0x91464b99, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0x9d45215e, "inet_csk_get_port" },
	{ 0xddceeec6, "key_put" },
	{ 0x6b611cd9, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x14652fea, "__dev_get_by_index" },
	{ 0xbf060312, "perf_trace_run_bpf_submit" },
	{ 0x7fadb301, "_dev_err" },
	{ 0x530a580b, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x550dda42, "request_firmware_nowait" },
	{ 0x56e71fc6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x92d86f61, "device_add" },
	{ 0xfea0e1c7, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbbdc2189, "init_uts_ns" },
	{ 0x9119366d, "platform_device_unregister" },
	{ 0x40836009, "sk_skb_reason_drop" },
	{ 0x6d45c137, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x54c284ed, "dev_get_by_index" },
	{ 0x57fa4e95, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbc0bdaf, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x80c4c319, "crc32_le" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xbde25bce, "skb_push" },
	{ 0x6d411acc, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc47d094, "wireless_send_event" },
	{ 0x51813ef6, "nla_put" },
	{ 0x890afca2, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcd279169, "nla_find" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x35e03e92, "of_find_property" },
	{ 0x6aced1af, "class_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3466321b, "unregister_pernet_device" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x38227376, "rfkill_alloc" },
	{ 0xbc3b8546, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x6ee98eb7, "bpf_trace_run1" },
	{ 0x487c830d, "device_del" },
	{ 0xfcd01236, "rfkill_set_hw_state_reason" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0x87d65f7c, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x940d811f, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc6e129d, "__pskb_pull_tail" },
	{ 0xf05d9fce, "netif_rx" },
	{ 0xe4cb519, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3b3b4a25, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc80cba17, "of_prop_next_u32" },
	{ 0xad77a6dc, "bpf_trace_run3" },
	{ 0xc29ff53f, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x180efd74, "get_net_ns_by_pid" },
	{ 0xc0e9223a, "debugfs_rename" },
	{ 0x77e6867d, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x842609d6, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc4958cbf, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d04cc30, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x457fdc75, "x509_load_certificate_list" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xaef1a6bb, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x3f758845, "genl_unregister_family" },
	{ 0xb761099c, "skb_add_rx_frag_netmem" },
	{ 0x71356fbd, "page_address" },
	{ 0xea124bd1, "gcd" },
	{ 0xd0d8621b, "strlen" },
	{ 0x60cbe93d, "bpf_trace_run7" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xfb335ce8, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x72d12bb2, "debugfs_create_dir" },
	{ 0x4369d3b1, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa32a45e5, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x68d40947, "register_pernet_device" },
	{ 0xbaef5815, "get_net_ns_by_fd" },
	{ 0x75264a96, "class_register" },
	{ 0x19cb4e76, "bpf_trace_run11" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x98e73e2d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x845397fc, "register_netdevice" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "C43A75E0FCD1698CD65985C");
