#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5677_sel_asrc_clk_src, "_gpl", "");

SYMBOL_CRC(rt5677_sel_asrc_clk_src, 0x90bcb37a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5c8f1ae, "snd_soc_dapm_put_enum_double" },
	{ 0x95911b97, "device_property_present" },
	{ 0x425a794d, "rt5677_spi_write" },
	{ 0xd94b95c0, "irq_domain_xlate_twocell" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x95ddcc19, "regcache_cache_only" },
	{ 0x9513ef6a, "regcache_sync" },
	{ 0x269e13a, "regmap_write" },
	{ 0x54a405c0, "devm_request_threaded_irq" },
	{ 0xdfe4939e, "devm_kmalloc" },
	{ 0x860e4552, "gpiod_set_value_cansleep" },
	{ 0x30c9b676, "request_firmware" },
	{ 0xc6695825, "rt5677_spi_hotword_detected" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x55cace88, "regcache_mark_dirty" },
	{ 0x4cc10afa, "devm_gpiod_get_optional" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x98df4575, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9afad080, "snd_soc_dapm_sync" },
	{ 0xe6a9de5b, "devm_snd_soc_register_component" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4bc2b0a4, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xb065c796, "device_property_read_u32_array" },
	{ 0x2a0f416a, "_dev_info" },
	{ 0x6768118e, "i2c_register_driver" },
	{ 0x92a46d7c, "snd_soc_info_volsw" },
	{ 0x287c854b, "gpiochip_get_data" },
	{ 0x7fadb301, "_dev_err" },
	{ 0x63b4a6e2, "device_property_read_u8_array" },
	{ 0xbec9ca28, "snd_soc_dapm_put_volsw" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8d3e38b7, "snd_soc_dapm_force_bias_level" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xc2d250c1, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xb595b496, "_dev_warn" },
	{ 0x5de77d8e, "device_get_match_data" },
	{ 0x3bbb48f9, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x33e141fd, "snd_soc_info_enum_double" },
	{ 0x9b7a0000, "gpiochip_add_data_with_key" },
	{ 0x4909cd5d, "gpiochip_remove" },
	{ 0x9f0bdb98, "snd_soc_get_volsw" },
	{ 0xcf3be678, "regmap_read" },
	{ 0x91e22b73, "snd_soc_put_volsw" },
	{ 0xceeef2e5, "irq_domain_instantiate" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0x48eabf91, "irq_create_mapping_affinity" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x8112588e, "regmap_update_bits_base" },
	{ 0x1ef81122, "snd_soc_dapm_get_volsw" },
	{ 0x4d6515ec, "i2c_del_driver" },
	{ 0x5fdf40cc, "regmap_register_patch" },
	{ 0x31751da5, "irq_set_chip" },
	{ 0x2b995e24, "snd_soc_dapm_get_enum_double" },
	{ 0xf9a482f9, "msleep" },
	{ 0xefc66f6, "__dev_fwnode" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x64af8cda, "__devm_regmap_init" },
	{ 0x375d6f6a, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rt5677-spi,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("acpi*:RT5677CE:*");
MODULE_ALIAS("of:N*T*Crealtek,rt5677");
MODULE_ALIAS("of:N*T*Crealtek,rt5677C*");

MODULE_INFO(srcversion, "527D773B93084F85BC7612F");
